--=======================================================================================================================
-- CUSTOM MOD OPTIONS
--=======================================================================================================================
-- CustomModOptions
-------------------------------------------------------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS CustomModOptions(Name Text, Value INTEGER, Class INTEGER, DbUpdates INTEGER);
--==========================================================================================================================
-- JFD USER SETTINGS
--==========================================================================================================================
-- JFD_GlobalUserSettings
--------------------------------------------------------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS JFD_GlobalUserSettings (Type text default null, Value integer default 1);
--==========================================================================================================================	
-- UNITS
--==========================================================================================================================
-- Units
--------------------------------------------------------------------------------------------------------------------------	
--'ART_DEF_UNIT_JAR_HATAALII'
INSERT INTO Units 	
		(Type, 						ShowInPedia,	Class, Cost, Moves, Capture, CivilianAttackPriority, Special, Domain, DefaultUnitAI,		Description, 						Civilopedia, 						Help, 								Strategy,	AdvancedStartCost,	WorkRate, CombatLimit, FoundReligion, SpreadReligion, ReligionSpreads, ReligiousStrength, UnitArtInfoEraVariation,	UnitArtInfo,   UnitFlagIconOffset,	UnitFlagAtlas,				MoveRate, PortraitIndex, IconAtlas)
SELECT	'UNIT_JAR_HATAALII',			1,			Class, Cost, Moves, Capture, CivilianAttackPriority, Special, Domain, DefaultUnitAI,		'TXT_KEY_UNIT_JAR_HATAALII', 	'TXT_KEY_CIV5_UNIT_JAR_HATAALII_TEXT', 	'TXT_KEY_UNIT_JAR_HATAALII_HELP',   Strategy,	AdvancedStartCost, 	WorkRate, CombatLimit, FoundReligion, SpreadReligion, ReligionSpreads, ReligiousStrength, 0,						'ART_DEF_UNIT_JAR_HATAALII',   0,	'UNIT_JAR_HATAALII_FLAG',	MoveRate, 3, 			 'JAR_NAVAJO_ICON_ATLAS'
FROM Units WHERE Type = 'UNIT_PROPHET';

INSERT INTO Units
		(Type, 						ShowInPedia, Class, Cost, Range, BaseSightRange, PrereqTech, Combat, RangedCombat, Moves, FaithCost, RequiresFaithPurchaseEnabled, CombatClass, MilitarySupport, MilitaryProduction, Domain, Pillage, IgnoreBuildingDefense, ObsoleteTech, GoodyHutUpgradeUnitClass, XPValueAttack, XPValueDefense, Conscription,  DefaultUnitAI, Description, 						Civilopedia, 								Help, 										Strategy,	AdvancedStartCost,	UnitArtInfo,  			UnitFlagIconOffset,	UnitFlagAtlas,				PortraitIndex, 	IconAtlas)
SELECT	'UNIT_JAR_CODETALKER',		0,			 Class, Cost, Range, BaseSightRange, PrereqTech, Combat, RangedCombat, Moves, FaithCost, RequiresFaithPurchaseEnabled, CombatClass, MilitarySupport, MilitaryProduction, Domain, Pillage, IgnoreBuildingDefense, ObsoleteTech, GoodyHutUpgradeUnitClass, XPValueAttack, XPValueDefense, Conscription,  DefaultUnitAI, ('TXT_KEY_UNIT_JAR_CODETALKER'),	('TXT_KEY_UNIT_CIV5_JAR_CODETALKER_TEXT'), 	'TXT_KEY_UNIT_CIV5_JAR_CODETALKER_HELP', 	Strategy,	AdvancedStartCost, 	'ART_DEF_UNIT_JAR_CODETALKER',  0,			'UNIT_JAR_CODETALKER_FLAG',	7, 			'JAR_NAVAJO_ICON_ATLAS'
FROM Units WHERE (Type = 'UNIT_PARATROOPER');
--------------------------------
-- UnitGameplay2DScripts
--------------------------------	
INSERT INTO UnitGameplay2DScripts 	
		(UnitType, 				SelectionSound, FirstSelectionSound)
SELECT	('UNIT_JAR_HATAALII'), 	SelectionSound, FirstSelectionSound
FROM UnitGameplay2DScripts WHERE (UnitType = 'UNIT_PROPHET');

INSERT INTO UnitGameplay2DScripts
		(UnitType, 				SelectionSound, FirstSelectionSound)
SELECT	'UNIT_JAR_CODETALKER', 	SelectionSound, FirstSelectionSound
FROM UnitGameplay2DScripts WHERE (UnitType = 'UNIT_PARATROOPER');
--------------------------------
-- Unit_AITypes
--------------------------------	
INSERT INTO Unit_AITypes 	
		(UnitType, 				UnitAIType)
SELECT	('UNIT_JAR_HATAALII'), 	UnitAIType
FROM Unit_AITypes WHERE (UnitType = 'UNIT_PROPHET');

INSERT INTO Unit_AITypes 	
		(UnitType, 				UnitAIType)
SELECT	('UNIT_JAR_CODETALKER'), 	UnitAIType
FROM Unit_AITypes WHERE (UnitType = 'UNIT_PARATROOPER');
--------------------------------
-- Unit_Builds
--------------------------------	
INSERT INTO Unit_Builds 	
		(UnitType, 				BuildType)
SELECT	('UNIT_JAR_HATAALII'), 	BuildType
FROM Unit_Builds WHERE (UnitType = 'UNIT_PROPHET');
--------------------------------
-- Unit_FreePromotions
--------------------------------
INSERT INTO Unit_FreePromotions 	
		(UnitType, 				PromotionType)
SELECT	('UNIT_JAR_HATAALII'),	PromotionType
FROM Unit_FreePromotions WHERE (UnitType = 'UNIT_PROPHET');

INSERT INTO Unit_FreePromotions 	
		(UnitType, 			PromotionType)
VALUES	('UNIT_JAR_CODETALKER', 'PROMOTION_JAR_CODETALKER');

INSERT INTO Unit_FreePromotions
		(UnitType, 				PromotionType)
SELECT	'UNIT_JAR_CODETALKER',	PromotionType
FROM Unit_FreePromotions WHERE (UnitType = 'UNIT_PARATROOPER');
--------------------------------
-- Unit_ClassUpgrades
--------------------------------
INSERT INTO Unit_ClassUpgrades
		(UnitType, 				UnitClassType)
SELECT	'UNIT_JAR_CODETALKER', 	UnitClassType
FROM Unit_ClassUpgrades WHERE (UnitType = 'UNIT_PARATROOPER');
--------------------------------
-- Unit_Flavors
--------------------------------
INSERT INTO Unit_Flavors
		(UnitType, 				FlavorType, Flavor)
SELECT	'UNIT_JAR_CODETALKER', 	FlavorType, Flavor
FROM Unit_Flavors WHERE (UnitType = 'UNIT_PARATROOPER');
--==========================================================================================================================	
-- UnitPromotions
--==========================================================================================================================	
INSERT INTO UnitPromotions 
			(Type, 							 Description, 							 	Help, 												Sound, 			LostWithUpgrade, OrderPriority, CannotBeChosen,	CombatPercent,	PortraitIndex, 	IconAtlas,			PediaType, 			PediaEntry)
VALUES		('PROMOTION_JAR_CODETALKER',	 'TXT_KEY_PROMOTION_JAR_CODETALKER',	 	 'TXT_KEY_PROMOTION_JAR_CODETALKER_HELP',		'AS2D_IF_LEVELUP',	0,				 0, 			1,				0,				0, 			'promoNavajo_atlas', 	'PEDIA_ATTRIBUTES', 'TXT_KEY_PROMOTION_JAR_CODETALKER'),
			('PROMOTION_JAR_CODETALKERPOS',	 'TXT_KEY_PROMOTION_JAR_CODETALKERACTIVE',	 'TXT_KEY_PROMOTION_JAR_CODETALKER_HELP',		'AS2D_IF_LEVELUP',	0,				 0, 			1,				10,				1, 			'promoNavajo_atlas', 	'PEDIA_ATTRIBUTES', 'TXT_KEY_PROMOTION_JAR_CODETALKER'),
			('PROMOTION_JAR_CODETALKERNEG',	 'TXT_KEY_PROMOTION_JAR_CODETALKERACTIVE',	 'TXT_KEY_PROMOTION_JAR_CODETALKER_HELP',		'AS2D_IF_LEVELUP',	0,				 0, 			1,				-10,			10, 'EXPANSION2_PROMOTION_ATLAS', 	'PEDIA_ATTRIBUTES', 'TXT_KEY_PROMOTION_JAR_CODETALKER');
--==========================================================================================================================
-- IMPROVEMENTS
--==========================================================================================================================
-- Improvements
------------------------------'ART_DEF_IMPROVEMENT_JAR_HOGAN'
INSERT INTO Improvements
			(Type, 						Description, 					Civilopedia, 								ArtDefineTag, 						Help, 									SpecificCivRequired, 	CivilizationType, 		PillageGold,	HillsMakesValid,	BuildableOnResources,	Permanent,	DestroyedWhenPillaged, 	PortraitIndex, 	IconAtlas,		NoTwoAdjacent,	DefenseModifier)
SELECT 		'IMPROVEMENT_JAR_HOGAN',	'TXT_KEY_IMPROVEMENT_JAR_HOGAN',	'TXT_KEY_IMPROVEMENT_JAR_HOGAN_TEXT',	'ART_DEF_IMPROVEMENT_JAR_HOGAN',	'TXT_KEY_IMPROVEMENT_JAR_HOGAN_HELP',		1,			'CIVILIZATION_JAR_NAVAJO',		10,				0,						0,						0,			0,						5,		'JAR_NAVAJO_ICON_ATLAS',	1,				10
FROM Improvements WHERE Type='IMPROVEMENT_MINE';

INSERT INTO Buildings 		
		(Type, 						BuildingClass,					GreatWorkCount,	GreatWorkSlotType,	SpecialistType, GreatPeopleRateChange, EnhancedYieldTech, TechEnhancedTourism, Cost, FaithCost, PrereqTech, Description,						Help,									Strategy,								Civilopedia, 					 NeverCapture, ArtDefineTag, MinAreaSize,IconAtlas,		PortraitIndex)
VALUES	('BUILDING_JAR_HOGAN1',		'BUILDINGCLASS_JAR_HOGAN1',		1,		'GREAT_WORK_SLOT_MUSIC',	'SPECIALIST_MUSICIAN',				1,	'TECH_ARCHITECTURE', 1,					 -1,   -1,		 null,		 'TXT_KEY_IMPROVEMENT_JAR_HOGAN',	'TXT_KEY_IMPROVEMENT_JAR_HOGAN_HELP',	'TXT_KEY_IMPROVEMENT_JAR_HOGAN_HELP',	'TXT_KEY_IMPROVEMENT_JAR_HOGAN_TEXT', 1,		'TEMPLE',	-1,			'JAR_NAVAJO_ICON_ATLAS', 4),
		('BUILDING_JAR_HOGAN2',		'BUILDINGCLASS_JAR_HOGAN2',		2,		'GREAT_WORK_SLOT_MUSIC',	'SPECIALIST_MUSICIAN',				1,	'TECH_ARCHITECTURE', 1,					 -1,   -1,		 null,		 'TXT_KEY_IMPROVEMENT_JAR_HOGAN',	'TXT_KEY_IMPROVEMENT_JAR_HOGAN_HELP',	'TXT_KEY_IMPROVEMENT_JAR_HOGAN_HELP',	'TXT_KEY_IMPROVEMENT_JAR_HOGAN_TEXT', 1,		'TEMPLE',	-1,			'JAR_NAVAJO_ICON_ATLAS', 4),
		('BUILDING_JAR_HOGAN3',		'BUILDINGCLASS_JAR_HOGAN3',		3,		'GREAT_WORK_SLOT_MUSIC',	'SPECIALIST_MUSICIAN',				1,	'TECH_ARCHITECTURE', 1,					 -1,   -1,		 null,		 'TXT_KEY_IMPROVEMENT_JAR_HOGAN',	'TXT_KEY_IMPROVEMENT_JAR_HOGAN_HELP',	'TXT_KEY_IMPROVEMENT_JAR_HOGAN_HELP',	'TXT_KEY_IMPROVEMENT_JAR_HOGAN_TEXT', 1,		'TEMPLE',	-1,			'JAR_NAVAJO_ICON_ATLAS', 4),
		('BUILDING_JAR_HOGAN4',		'BUILDINGCLASS_JAR_HOGAN4',		4,		'GREAT_WORK_SLOT_MUSIC',	'SPECIALIST_MUSICIAN',				1,	'TECH_ARCHITECTURE', 1,					 -1,   -1,		 null,		 'TXT_KEY_IMPROVEMENT_JAR_HOGAN',	'TXT_KEY_IMPROVEMENT_JAR_HOGAN_HELP',	'TXT_KEY_IMPROVEMENT_JAR_HOGAN_HELP',	'TXT_KEY_IMPROVEMENT_JAR_HOGAN_TEXT', 1,		'TEMPLE',	-1,			'JAR_NAVAJO_ICON_ATLAS', 4);

INSERT INTO Building_YieldChanges
		(BuildingType, 			YieldType,		Yield)
VALUES	('BUILDING_JAR_HOGAN1',	'YIELD_FAITH',	1),	
		('BUILDING_JAR_HOGAN2',	'YIELD_FAITH',	1),	
		('BUILDING_JAR_HOGAN3',	'YIELD_FAITH',	1),	
		('BUILDING_JAR_HOGAN4',	'YIELD_FAITH',	1);
------------------------------	
-- Improvement_Flavors
------------------------------		
INSERT INTO Improvement_Flavors	
			(ImprovementType, 				FlavorType,				Flavor)
VALUES		('IMPROVEMENT_JAR_HOGAN',	'FLAVOR_CULTURE',		5),
			('IMPROVEMENT_JAR_HOGAN',	'FLAVOR_GOLD',			1),
			('IMPROVEMENT_JAR_HOGAN',	'FLAVOR_PRODUCTION',	5),
			('IMPROVEMENT_JAR_HOGAN',	'FLAVOR_GROWTH',		2),
			('IMPROVEMENT_JAR_HOGAN',	'FLAVOR_CITY_DEFENSE',	2),
			('IMPROVEMENT_JAR_HOGAN',	'FLAVOR_DEFENSE',		2);
------------------------------	
-- Improvement_Yields
------------------------------		
INSERT INTO Improvement_Yields 	
			(ImprovementType, 				YieldType,			Yield)
VALUES		('IMPROVEMENT_JAR_HOGAN',	'YIELD_PRODUCTION',	1),
			('IMPROVEMENT_JAR_HOGAN',	'YIELD_CULTURE',	1);
------------------------------
-- Improvement_TechYieldChanges
------------------------------
INSERT INTO Improvement_TechYieldChanges
			(ImprovementType,				TechType,					YieldType,			Yield)
VALUES		('IMPROVEMENT_JAR_HOGAN',	'TECH_ENGINEERING',			'YIELD_PRODUCTION',	1),
		--	('IMPROVEMENT_JAR_HOGAN',	'TECH_GUILDS',				'YIELD_GOLD',		1),
			('IMPROVEMENT_JAR_HOGAN',	'TECH_THEOLOGY',			'YIELD_FAITH',		1),
			('IMPROVEMENT_JAR_HOGAN',	'TECH_CHEMISTRY',			'YIELD_FOOD',		1),
			('IMPROVEMENT_JAR_HOGAN',	'TECH_ARCHITECTURE',		'YIELD_CULTURE',	1),
		--	('IMPROVEMENT_JAR_HOGAN',	'TECH_ECONOMICS',			'YIELD_GOLD',		1),
			('IMPROVEMENT_JAR_HOGAN',	'TECH_INDUSTRIALIZATION',	'YIELD_PRODUCTION',	1),
			('IMPROVEMENT_JAR_HOGAN',	'TECH_FERTILIZER',			'YIELD_FOOD',		1),
			('IMPROVEMENT_JAR_HOGAN',	'TECH_RADIO',				'YIELD_CULTURE',	1);
------------------------------	
-- Improvement_ValidTerrains
------------------------------		
INSERT INTO Improvement_ValidTerrains 	
			(ImprovementType, 				TerrainType)
VALUES		('IMPROVEMENT_JAR_HOGAN',	'TERRAIN_PLAINS'),
			('IMPROVEMENT_JAR_HOGAN',	'TERRAIN_DESERT');

INSERT INTO Improvement_RouteYieldChanges
	(ImprovementType, RouteType, YieldType, Yield)
VALUES
	('IMPROVEMENT_JAR_HOGAN', 'ROUTE_ROAD', 'YIELD_GOLD', 1),
	('IMPROVEMENT_JAR_HOGAN', 'ROUTE_ROAD', 'YIELD_PRODUCTION', 1),
	('IMPROVEMENT_JAR_HOGAN', 'ROUTE_RAILROAD', 'YIELD_GOLD', 1),
	('IMPROVEMENT_JAR_HOGAN', 'ROUTE_RAILROAD', 'YIELD_PRODUCTION', 2);			
--==========================================================================================================================

--==========================================================================================================================
-- BUILDS
--==========================================================================================================================				
------------------------------
-- Builds
------------------------------		
INSERT INTO Builds		
			(Type,							PrereqTech,			ImprovementType, 			Description, 							Help, 										Recommendation, 							Time, EntityEvent, 			OrderPriority, 	IconIndex, 	IconAtlas)
SELECT 		'BUILD_IMPROVEMENT_JAR_HOGAN',	'TECH_MASONRY',		'IMPROVEMENT_JAR_HOGAN',	'TXT_KEY_BUILD_IMPROVEMENT_JAR_HOGAN',	'TXT_KEY_BUILD_IMPROVEMENT_JAR_HOGAN_HELP',	'TXT_KEY_BUILD_IMPROVEMENT_JAR_HOGAN_REC',	Time, 'ENTITY_EVENT_BUILD',	95,				6,			'JAR_NAVAJO_ICON_ATLAS'
FROM Builds WHERE Type='BUILD_MINE';
------------------------------				
-- Unit_Builds
------------------------------				
INSERT INTO Unit_Builds	
			(UnitType, 		BuildType)
VALUES		('UNIT_WORKER',	'BUILD_IMPROVEMENT_JAR_HOGAN');
------------------------------				
-- BuildFeatures
------------------------------	
INSERT INTO BuildFeatures
		(BuildType, 					FeatureType, 	PrereqTech, 			Time, Production, Remove)
VALUES 	('BUILD_IMPROVEMENT_JAR_HOGAN', 'FEATURE_JUNGLE', 'TECH_CALENDAR', 		'500', 30 ,1),
		('BUILD_IMPROVEMENT_JAR_HOGAN', 'FEATURE_FOREST', 'TECH_BRONZE_WORKING', '300', 45, 1);
--==========================================================================================================================
--==========================================================================================================================	
-- LEADERS
--==========================================================================================================================	
-- Leaders
--------------------------------------------------------------------------------------------------------------------------			
INSERT INTO Leaders 
		(Type, 						Description, 					Civilopedia, 								CivilopediaTag, 						ArtDefineTag, 			VictoryCompetitiveness, WonderCompetitiveness, 	MinorCivCompetitiveness, 	Boldness, 	DiploBalance, 	WarmongerHate, 	DenounceWillingness, 	DoFWillingness, Loyalty, 	Neediness, 	Forgiveness, 	Chattiness, Meanness, 	IconAtlas, 					PortraitIndex)
VALUES	('LEADER_JAR_MANUELITO', 	'TXT_KEY_LEADER_JAR_MANUELITO', 'TXT_KEY_LEADER_JAR_MANUELITO_PEDIA_TEXT', 	'TXT_KEY_LEADER_JAR_MANUELITO_PEDIA', 	'Jar_Manuelito_Scene.xml',	5, 						5, 						6, 							5, 			5, 				8, 				7, 						7, 				6, 			6, 			6, 				4, 			5, 		'JAR_NAVAJO_ICON_ATLAS',  	1);
--------------------------------------------------------------------------------------------------------------------------		
-- Leader_MajorCivApproachBiases
--------------------------------------------------------------------------------------------------------------------------						
INSERT INTO Leader_MajorCivApproachBiases 
		(LeaderType, 				MajorCivApproachType, 				Bias)
VALUES	('LEADER_JAR_MANUELITO', 	'MAJOR_CIV_APPROACH_WAR', 			7),
		('LEADER_JAR_MANUELITO', 	'MAJOR_CIV_APPROACH_HOSTILE', 		4),
		('LEADER_JAR_MANUELITO', 	'MAJOR_CIV_APPROACH_DECEPTIVE', 	6),
		('LEADER_JAR_MANUELITO', 	'MAJOR_CIV_APPROACH_GUARDED', 		7),
		('LEADER_JAR_MANUELITO', 	'MAJOR_CIV_APPROACH_AFRAID', 		4),
		('LEADER_JAR_MANUELITO', 	'MAJOR_CIV_APPROACH_FRIENDLY', 		6),
		('LEADER_JAR_MANUELITO', 	'MAJOR_CIV_APPROACH_NEUTRAL', 		8);
--------------------------------------------------------------------------------------------------------------------------	
-- Leader_MajorCivApproachBiases
--------------------------------------------------------------------------------------------------------------------------							
INSERT INTO Leader_MinorCivApproachBiases 
		(LeaderType, 				MinorCivApproachType, 				Bias)
VALUES	('LEADER_JAR_MANUELITO', 	'MINOR_CIV_APPROACH_IGNORE', 		5),
		('LEADER_JAR_MANUELITO', 	'MINOR_CIV_APPROACH_FRIENDLY', 		6),
		('LEADER_JAR_MANUELITO', 	'MINOR_CIV_APPROACH_PROTECTIVE', 	5),
		('LEADER_JAR_MANUELITO', 	'MINOR_CIV_APPROACH_CONQUEST', 		7),
		('LEADER_JAR_MANUELITO', 	'MINOR_CIV_APPROACH_BULLY', 		6);
--------------------------------------------------------------------------------------------------------------------------	
-- Leader_Flavors
--------------------------------------------------------------------------------------------------------------------------							
INSERT INTO Leader_Flavors 
		(LeaderType, 				FlavorType, 						Flavor)
VALUES	('LEADER_JAR_MANUELITO', 	'FLAVOR_OFFENSE', 					7),
		('LEADER_JAR_MANUELITO', 	'FLAVOR_DEFENSE', 					8),
		('LEADER_JAR_MANUELITO', 	'FLAVOR_CITY_DEFENSE', 				6),
		('LEADER_JAR_MANUELITO', 	'FLAVOR_MILITARY_TRAINING', 		6),
		('LEADER_JAR_MANUELITO', 	'FLAVOR_RECON', 					8),
		('LEADER_JAR_MANUELITO', 	'FLAVOR_RANGED', 					6),
		('LEADER_JAR_MANUELITO', 	'FLAVOR_MOBILE', 					7),
		('LEADER_JAR_MANUELITO', 	'FLAVOR_NAVAL', 					3),
		('LEADER_JAR_MANUELITO', 	'FLAVOR_NAVAL_RECON', 				4),
		('LEADER_JAR_MANUELITO', 	'FLAVOR_NAVAL_GROWTH', 				3),
		('LEADER_JAR_MANUELITO', 	'FLAVOR_NAVAL_TILE_IMPROVEMENT', 	3),
		('LEADER_JAR_MANUELITO', 	'FLAVOR_AIR', 						5),
		('LEADER_JAR_MANUELITO', 	'FLAVOR_EXPANSION', 				8),
		('LEADER_JAR_MANUELITO', 	'FLAVOR_GROWTH', 					6),
		('LEADER_JAR_MANUELITO', 	'FLAVOR_TILE_IMPROVEMENT', 			8),
		('LEADER_JAR_MANUELITO', 	'FLAVOR_INFRASTRUCTURE', 			4),
		('LEADER_JAR_MANUELITO', 	'FLAVOR_PRODUCTION', 				4),
		('LEADER_JAR_MANUELITO', 	'FLAVOR_GOLD', 						7),
		('LEADER_JAR_MANUELITO', 	'FLAVOR_SCIENCE', 					3),
		('LEADER_JAR_MANUELITO', 	'FLAVOR_CULTURE', 					7),
		('LEADER_JAR_MANUELITO', 	'FLAVOR_HAPPINESS', 				7),
		('LEADER_JAR_MANUELITO', 	'FLAVOR_GREAT_PEOPLE', 				5),
		('LEADER_JAR_MANUELITO', 	'FLAVOR_WONDER', 					5),
		('LEADER_JAR_MANUELITO', 	'FLAVOR_RELIGION', 					8),
		('LEADER_JAR_MANUELITO', 	'FLAVOR_DIPLOMACY', 				7),
		('LEADER_JAR_MANUELITO', 	'FLAVOR_SPACESHIP', 				5),
		('LEADER_JAR_MANUELITO', 	'FLAVOR_WATER_CONNECTION', 			4),
		('LEADER_JAR_MANUELITO', 	'FLAVOR_NUKE', 						3),
		('LEADER_JAR_MANUELITO', 	'FLAVOR_USE_NUKE', 					2),
		('LEADER_JAR_MANUELITO', 	'FLAVOR_ESPIONAGE', 				9),
		('LEADER_JAR_MANUELITO', 	'FLAVOR_AIRLIFT', 					5),
		('LEADER_JAR_MANUELITO', 	'FLAVOR_I_TRADE_DESTINATION', 		5),
		('LEADER_JAR_MANUELITO', 	'FLAVOR_I_TRADE_ORIGIN', 			5),
		('LEADER_JAR_MANUELITO', 	'FLAVOR_I_SEA_TRADE_ROUTE', 		5),
		('LEADER_JAR_MANUELITO', 	'FLAVOR_I_LAND_TRADE_ROUTE', 		5),
		('LEADER_JAR_MANUELITO', 	'FLAVOR_ARCHAEOLOGY', 				5),
		('LEADER_JAR_MANUELITO', 	'FLAVOR_AIR_CARRIER', 				5);
--------------------------------------------------------------------------------------------------------------------------	
-- Leader_Traits
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Leader_Traits 
		(LeaderType, 				TraitType)
VALUES	('LEADER_JAR_MANUELITO', 	'TRAIT_JAR_NAVAJO');
--==========================================================================================================================	
-- TRAITS
--==========================================================================================================================	
-- Traits
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Traits 
		(Type, 					Description, 						  ShortDescription)
VALUES	('TRAIT_JAR_NAVAJO', 	'TXT_KEY_TRAIT_JAR_NAVAJO',   'TXT_KEY_TRAIT_JAR_NAVAJO_SHORT');
--------------------------------------------------------------------------------------------------------------------------
-- BuildingClasses
-------------------------------------------------------------------------------------------------------------------------	
INSERT INTO BuildingClasses 	
		(Type, 							DefaultBuilding, 			Description,						NoLimit)
		-- Medieval era
VALUES	('BUILDINGCLASS_JAR_BLESSING1',	'BUILDING_JAR_BLESSING1',	'TXT_KEY_TRAIT_JAR_NAVAJO_SHORT',		0),
		('BUILDINGCLASS_JAR_BLESSING2',	'BUILDING_JAR_BLESSING2',	'TXT_KEY_TRAIT_JAR_NAVAJO_SHORT',		0),
		('BUILDINGCLASS_JAR_BLESSING3',	'BUILDING_JAR_BLESSING3',	'TXT_KEY_TRAIT_JAR_NAVAJO_SHORT',		0),
		('BUILDINGCLASS_JAR_BLESSING4',	'BUILDING_JAR_BLESSING4',	'TXT_KEY_TRAIT_JAR_NAVAJO_SHORT',		0),
		('BUILDINGCLASS_JAR_BLESSING5',	'BUILDING_JAR_BLESSING5',	'TXT_KEY_TRAIT_JAR_NAVAJO_SHORT',		0),
		('BUILDINGCLASS_JAR_BLESSING6',	'BUILDING_JAR_BLESSING6',	'TXT_KEY_TRAIT_JAR_NAVAJO_SHORT',		0),
		('BUILDINGCLASS_JAR_BLESSING7',	'BUILDING_JAR_BLESSING7',	'TXT_KEY_TRAIT_JAR_NAVAJO_SHORT',		0),
		-- Ancient era
		('BUILDINGCLASS_JAR_BLESSING1E',	'BUILDING_JAR_BLESSING1E',	'TXT_KEY_TRAIT_JAR_NAVAJO_SHORT',	0),
		('BUILDINGCLASS_JAR_BLESSING2E',	'BUILDING_JAR_BLESSING2E',	'TXT_KEY_TRAIT_JAR_NAVAJO_SHORT',	0),
		('BUILDINGCLASS_JAR_BLESSING3E',	'BUILDING_JAR_BLESSING3E',	'TXT_KEY_TRAIT_JAR_NAVAJO_SHORT',	0),
		('BUILDINGCLASS_JAR_BLESSING4E',	'BUILDING_JAR_BLESSING4E',	'TXT_KEY_TRAIT_JAR_NAVAJO_SHORT',	0),
		('BUILDINGCLASS_JAR_BLESSING5E',	'BUILDING_JAR_BLESSING5E',	'TXT_KEY_TRAIT_JAR_NAVAJO_SHORT',	0),
		('BUILDINGCLASS_JAR_BLESSING6E',	'BUILDING_JAR_BLESSING6E',	'TXT_KEY_TRAIT_JAR_NAVAJO_SHORT',	0),
		('BUILDINGCLASS_JAR_BLESSING7E',	'BUILDING_JAR_BLESSING7E',	'TXT_KEY_TRAIT_JAR_NAVAJO_SHORT',	0),
		-- Classical era
		('BUILDINGCLASS_JAR_BLESSING1A',	'BUILDING_JAR_BLESSING1A',	'TXT_KEY_TRAIT_JAR_NAVAJO_SHORT',	0),
		('BUILDINGCLASS_JAR_BLESSING2A',	'BUILDING_JAR_BLESSING2A',	'TXT_KEY_TRAIT_JAR_NAVAJO_SHORT',	0),
		('BUILDINGCLASS_JAR_BLESSING3A',	'BUILDING_JAR_BLESSING3A',	'TXT_KEY_TRAIT_JAR_NAVAJO_SHORT',	0),
		('BUILDINGCLASS_JAR_BLESSING4A',	'BUILDING_JAR_BLESSING4A',	'TXT_KEY_TRAIT_JAR_NAVAJO_SHORT',	0),
		('BUILDINGCLASS_JAR_BLESSING5A',	'BUILDING_JAR_BLESSING5A',	'TXT_KEY_TRAIT_JAR_NAVAJO_SHORT',	0),
		('BUILDINGCLASS_JAR_BLESSING6A',	'BUILDING_JAR_BLESSING6A',	'TXT_KEY_TRAIT_JAR_NAVAJO_SHORT',	0),
		('BUILDINGCLASS_JAR_BLESSING7A',	'BUILDING_JAR_BLESSING7A',	'TXT_KEY_TRAIT_JAR_NAVAJO_SHORT',	0),
		-- Renaissance era
		('BUILDINGCLASS_JAR_BLESSING1B',	'BUILDING_JAR_BLESSING1B',	'TXT_KEY_TRAIT_JAR_NAVAJO_SHORT',	0),
		('BUILDINGCLASS_JAR_BLESSING2B',	'BUILDING_JAR_BLESSING2B',	'TXT_KEY_TRAIT_JAR_NAVAJO_SHORT',	0),
		('BUILDINGCLASS_JAR_BLESSING3B',	'BUILDING_JAR_BLESSING3B',	'TXT_KEY_TRAIT_JAR_NAVAJO_SHORT',	0),
		('BUILDINGCLASS_JAR_BLESSING4B',	'BUILDING_JAR_BLESSING4B',	'TXT_KEY_TRAIT_JAR_NAVAJO_SHORT',	0),
		('BUILDINGCLASS_JAR_BLESSING5B',	'BUILDING_JAR_BLESSING5B',	'TXT_KEY_TRAIT_JAR_NAVAJO_SHORT',	0),
		('BUILDINGCLASS_JAR_BLESSING6B',	'BUILDING_JAR_BLESSING6B',	'TXT_KEY_TRAIT_JAR_NAVAJO_SHORT',	0),
		('BUILDINGCLASS_JAR_BLESSING7B',	'BUILDING_JAR_BLESSING7B',	'TXT_KEY_TRAIT_JAR_NAVAJO_SHORT',	0),
		-- Industrial era
		('BUILDINGCLASS_JAR_BLESSING1C',	'BUILDING_JAR_BLESSING1C',	'TXT_KEY_TRAIT_JAR_NAVAJO_SHORT',	0),
		('BUILDINGCLASS_JAR_BLESSING2C',	'BUILDING_JAR_BLESSING2C',	'TXT_KEY_TRAIT_JAR_NAVAJO_SHORT',	0),
		('BUILDINGCLASS_JAR_BLESSING3C',	'BUILDING_JAR_BLESSING3C',	'TXT_KEY_TRAIT_JAR_NAVAJO_SHORT',	0),
		('BUILDINGCLASS_JAR_BLESSING4C',	'BUILDING_JAR_BLESSING4C',	'TXT_KEY_TRAIT_JAR_NAVAJO_SHORT',	0),
		('BUILDINGCLASS_JAR_BLESSING5C',	'BUILDING_JAR_BLESSING5C',	'TXT_KEY_TRAIT_JAR_NAVAJO_SHORT',	0),
		('BUILDINGCLASS_JAR_BLESSING6C',	'BUILDING_JAR_BLESSING6C',	'TXT_KEY_TRAIT_JAR_NAVAJO_SHORT',	0),
		('BUILDINGCLASS_JAR_BLESSING7C',	'BUILDING_JAR_BLESSING7C',	'TXT_KEY_TRAIT_JAR_NAVAJO_SHORT',	0),
		-- Modern Era and onwards
		('BUILDINGCLASS_JAR_BLESSING1D',	'BUILDING_JAR_BLESSING1D',	'TXT_KEY_TRAIT_JAR_NAVAJO_SHORT',	0),
		('BUILDINGCLASS_JAR_BLESSING2D',	'BUILDING_JAR_BLESSING2D',	'TXT_KEY_TRAIT_JAR_NAVAJO_SHORT',	0),
		('BUILDINGCLASS_JAR_BLESSING3D',	'BUILDING_JAR_BLESSING3D',	'TXT_KEY_TRAIT_JAR_NAVAJO_SHORT',	0),
		('BUILDINGCLASS_JAR_BLESSING4D',	'BUILDING_JAR_BLESSING4D',	'TXT_KEY_TRAIT_JAR_NAVAJO_SHORT',	0),
		('BUILDINGCLASS_JAR_BLESSING5D',	'BUILDING_JAR_BLESSING5D',	'TXT_KEY_TRAIT_JAR_NAVAJO_SHORT',	0),
		('BUILDINGCLASS_JAR_BLESSING6D',	'BUILDING_JAR_BLESSING6D',	'TXT_KEY_TRAIT_JAR_NAVAJO_SHORT',	0),
		('BUILDINGCLASS_JAR_BLESSING7D',	'BUILDING_JAR_BLESSING7D',	'TXT_KEY_TRAIT_JAR_NAVAJO_SHORT',	0),
		-- Others
		('BUILDINGCLASS_JAR_BLESSINGDM',	'BUILDING_JAR_BLESSINGDM5',	'TXT_KEY_TRAIT_JAR_NAVAJO_SHORT',	1),
		('BUILDINGCLASS_JAR_TIMER',		'BUILDING_JAR_TIMER',		'TXT_KEY_TRAIT_JAR_NAVAJO_SHORT',		1),
		('BUILDINGCLASS_JAR_GWMUSIC',	'BUILDING_JAR_GWMUSIC',		'TXT_KEY_TRAIT_JAR_NAVAJO_SHORT',		1),
		('BUILDINGCLASS_JAR_HOGAN1',	'BUILDING_JAR_HOGAN1',		'TXT_KEY_TRAIT_JAR_NAVAJO_SHORT',		0),
		('BUILDINGCLASS_JAR_HOGAN2',	'BUILDING_JAR_HOGAN2',		'TXT_KEY_TRAIT_JAR_NAVAJO_SHORT',		0),
		('BUILDINGCLASS_JAR_HOGAN3',	'BUILDING_JAR_HOGAN3',		'TXT_KEY_TRAIT_JAR_NAVAJO_SHORT',		0),
		('BUILDINGCLASS_JAR_HOGAN4',	'BUILDING_JAR_HOGAN4',		'TXT_KEY_TRAIT_JAR_NAVAJO_SHORT',		0),
		('BUILDINGCLASS_JAR_BLESSPROD',	'BUILDING_JAR_BLESSPROD2',	'TXT_KEY_BUILDING_JAR_BLESSPROD',		0),
		('BUILDINGCLASS_JAR_BLESSGOLD',	'BUILDING_JAR_BLESSGOLD',	'TXT_KEY_BUILDING_JAR_BLESSGOLD',		0),
		('BUILDINGCLASS_JAR_BLESSSCI',	'BUILDING_JAR_BLESSSCI',	'TXT_KEY_BUILDING_JAR_BLESSSCI',		0),
		('BUILDINGCLASS_JAR_BLESSFOOD',	'BUILDING_JAR_BLESSFOOD',	'TXT_KEY_BUILDING_JAR_BLESSFOOD',		0),
		('BUILDINGCLASS_JAR_BLESSFAITH','BUILDING_JAR_BLESSFAITH',	'TXT_KEY_BUILDING_JAR_BLESSFAITH',		0),
		('BUILDINGCLASS_JAR_BLESSBEAUTY','BUILDING_JAR_BLESSBEAUTY',	'TXT_KEY_BUILDING_JAR_BLESSBEAUTY',		0);
		
INSERT OR REPLACE INTO BuildingClasses
		(DefaultBuilding, 					Type, 									Description)
VALUES	('BUILDING_JAR_DUMMY_TOURISM_0',	'BUILDINGCLASS_JAR_DUMMY_TOURISM_0',	'TXT_KEY_BUILDING_JAR_DUMMY_TOURISM_0'),
		('BUILDING_JAR_DUMMY_TOURISM_1',	'BUILDINGCLASS_JAR_DUMMY_TOURISM_1',	'TXT_KEY_BUILDING_JAR_DUMMY_TOURISM_1'),
		('BUILDING_JAR_DUMMY_TOURISM_2',	'BUILDINGCLASS_JAR_DUMMY_TOURISM_2',	'TXT_KEY_BUILDING_JAR_DUMMY_TOURISM_2'),
		('BUILDING_JAR_DUMMY_TOURISM_3',	'BUILDINGCLASS_JAR_DUMMY_TOURISM_3',	'TXT_KEY_BUILDING_JAR_DUMMY_TOURISM_3'),
		('BUILDING_JAR_DUMMY_TOURISM_4',	'BUILDINGCLASS_JAR_DUMMY_TOURISM_4',	'TXT_KEY_BUILDING_JAR_DUMMY_TOURISM_4'),
		('BUILDING_JAR_DUMMY_TOURISM_5',	'BUILDINGCLASS_JAR_DUMMY_TOURISM_5',	'TXT_KEY_BUILDING_JAR_DUMMY_TOURISM_5'),
		('BUILDING_JAR_DUMMY_TOURISM_6',	'BUILDINGCLASS_JAR_DUMMY_TOURISM_6',	'TXT_KEY_BUILDING_JAR_DUMMY_TOURISM_6'),
		('BUILDING_JAR_DUMMY_TOURISM_7',	'BUILDINGCLASS_JAR_DUMMY_TOURISM_7',	'TXT_KEY_BUILDING_JAR_DUMMY_TOURISM_7'),
		('BUILDING_JAR_DUMMY_TOURISM_8',	'BUILDINGCLASS_JAR_DUMMY_TOURISM_8',	'TXT_KEY_BUILDING_JAR_DUMMY_TOURISM_8'),
		('BUILDING_JAR_DUMMY_TOURISM_9',	'BUILDINGCLASS_JAR_DUMMY_TOURISM_9',	'TXT_KEY_BUILDING_JAR_DUMMY_TOURISM_9');		
--------------------------------------------------------------------------------------------------------------------------	
-- Buildings
--------------------------------------------------------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS Jar_LetTable(let text default null);
INSERT OR REPLACE INTO Jar_LetTable(let) 
VALUES    (''), ('A'), ('B'), ('C'), ('D'), ('E');

CREATE TABLE IF NOT EXISTS Jar_NumTable(num INTEGER UNIQUE DEFAULT 0);
INSERT OR REPLACE INTO Jar_NumTable(num) 
VALUES    (1), (2), (3), (4), (5), (6), (7);

INSERT INTO Buildings
		(Type, 							BuildingClass,					MutuallyExclusiveGroup,		Cost,	GoldMaintenance,	FaithCost,	PrereqTech,	Help,										Description,							Civilopedia,							Strategy,						ArtDefineTag,	MinAreaSize,	HurryCostModifier,	NeverCapture,	NukeImmune,	IconAtlas,			PortraitIndex)
		-- Medieval Era
VALUES	('BUILDING_JAR_BLESSING1',		'BUILDINGCLASS_JAR_BLESSING1',	485,						150,	0,					200,		null,		'TXT_KEY_BUILDING_JAR_BLESSING1_HELP',	'TXT_KEY_BUILDING_JAR_BLESSING1',	'TXT_KEY_CIV5_JAR_BLESSING1_TEXT',	'TXT_KEY_BUILDING_JAR_BLESSING_STRATEGY',	'TEMPLE',				-1,					-1,		1,				1,			'JAR_NAVAJO_ICON_ATLAS',	2),
		('BUILDING_JAR_BLESSING2',		'BUILDINGCLASS_JAR_BLESSING2',	485,						150,	0,					200,		null,		'TXT_KEY_BUILDING_JAR_BLESSING2_HELP',	'TXT_KEY_BUILDING_JAR_BLESSING2',	'TXT_KEY_CIV5_JAR_BLESSING2_TEXT',	'TXT_KEY_BUILDING_JAR_BLESSING_STRATEGY',	'TEMPLE',				-1,					-1,		1,				1,			'JAR_NAVAJO_ICON_ATLAS',	2),
		('BUILDING_JAR_BLESSING3',		'BUILDINGCLASS_JAR_BLESSING3',	485,						150,	0,					200,		null,		'TXT_KEY_BUILDING_JAR_BLESSING3_HELP',	'TXT_KEY_BUILDING_JAR_BLESSING3',	'TXT_KEY_CIV5_JAR_BLESSING3_TEXT',	'TXT_KEY_BUILDING_JAR_BLESSING_STRATEGY',	'TEMPLE',				-1,					-1,		1,				1,			'JAR_NAVAJO_ICON_ATLAS',	2),
		('BUILDING_JAR_BLESSING4',		'BUILDINGCLASS_JAR_BLESSING4',	485,						150,	0,					200,		null,		'TXT_KEY_BUILDING_JAR_BLESSING4_HELP',	'TXT_KEY_BUILDING_JAR_BLESSING4',	'TXT_KEY_CIV5_JAR_BLESSING4_TEXT',	'TXT_KEY_BUILDING_JAR_BLESSING_STRATEGY',	'TEMPLE',				-1,					-1,		1,				1,			'JAR_NAVAJO_ICON_ATLAS',	2),
		('BUILDING_JAR_BLESSING5',		'BUILDINGCLASS_JAR_BLESSING5',	485,						150,	0,					200,		null,		'TXT_KEY_BUILDING_JAR_BLESSING5_HELP',	'TXT_KEY_BUILDING_JAR_BLESSING5',	'TXT_KEY_CIV5_JAR_BLESSING5_TEXT',	'TXT_KEY_BUILDING_JAR_BLESSING_STRATEGY',	'TEMPLE',				-1,					-1,		1,				1,			'JAR_NAVAJO_ICON_ATLAS',	2),
		('BUILDING_JAR_BLESSING6',		'BUILDINGCLASS_JAR_BLESSING6',	485,						150,	0,					200,		null,		'TXT_KEY_BUILDING_JAR_BLESSING6_HELP',	'TXT_KEY_BUILDING_JAR_BLESSING6',	'TXT_KEY_CIV5_JAR_BLESSING6_TEXT',	'TXT_KEY_BUILDING_JAR_BLESSING_STRATEGY',	'TEMPLE',				-1,					-1,		1,				1,			'JAR_NAVAJO_ICON_ATLAS',	2),
		('BUILDING_JAR_BLESSING7',		'BUILDINGCLASS_JAR_BLESSING7',	485,						150,	0,					200,		null,		'TXT_KEY_BUILDING_JAR_BLESSING7_HELP',	'TXT_KEY_BUILDING_JAR_BLESSING7',	'TXT_KEY_CIV5_JAR_BLESSING7_TEXT',	'TXT_KEY_BUILDING_JAR_BLESSING_STRATEGY',	'TEMPLE',				-1,					-1,		1,				1,			'JAR_NAVAJO_ICON_ATLAS',	2),
		-- Ancient era
		('BUILDING_JAR_BLESSING1E',		'BUILDINGCLASS_JAR_BLESSING1E',	483,						20,		0,					-1,		null,			'TXT_KEY_BUILDING_JAR_BLESSING1_HELP',	'TXT_KEY_BUILDING_JAR_BLESSING1',	'TXT_KEY_CIV5_JAR_BLESSING1_TEXT',	'TXT_KEY_BUILDING_JAR_BLESSING_STRATEGY',	'TEMPLE',				-1,					-1,		1,				1,			'JAR_NAVAJO_ICON_ATLAS',	2),
		('BUILDING_JAR_BLESSING2E',		'BUILDINGCLASS_JAR_BLESSING2E',	483,						20,		0,					-1,		null,			'TXT_KEY_BUILDING_JAR_BLESSING2_HELP',	'TXT_KEY_BUILDING_JAR_BLESSING2',	'TXT_KEY_CIV5_JAR_BLESSING2_TEXT',	'TXT_KEY_BUILDING_JAR_BLESSING_STRATEGY',	'TEMPLE',				-1,					-1,		1,				1,			'JAR_NAVAJO_ICON_ATLAS',	2),
		('BUILDING_JAR_BLESSING3E',		'BUILDINGCLASS_JAR_BLESSING3E',	483,						20,		0,					-1,		null,			'TXT_KEY_BUILDING_JAR_BLESSING3_HELP',	'TXT_KEY_BUILDING_JAR_BLESSING3',	'TXT_KEY_CIV5_JAR_BLESSING3_TEXT',	'TXT_KEY_BUILDING_JAR_BLESSING_STRATEGY',	'TEMPLE',				-1,					-1,		1,				1,			'JAR_NAVAJO_ICON_ATLAS',	2),
		('BUILDING_JAR_BLESSING4E',		'BUILDINGCLASS_JAR_BLESSING4E',	483,						20,		0,					-1,		null,			'TXT_KEY_BUILDING_JAR_BLESSING4_HELP',	'TXT_KEY_BUILDING_JAR_BLESSING4',	'TXT_KEY_CIV5_JAR_BLESSING4_TEXT',	'TXT_KEY_BUILDING_JAR_BLESSING_STRATEGY',	'TEMPLE',				-1,					-1,		1,				1,			'JAR_NAVAJO_ICON_ATLAS',	2),
		('BUILDING_JAR_BLESSING5E',		'BUILDINGCLASS_JAR_BLESSING5E',	483,						20,		0,					-1,		null,			'TXT_KEY_BUILDING_JAR_BLESSING5_HELP',	'TXT_KEY_BUILDING_JAR_BLESSING5',	'TXT_KEY_CIV5_JAR_BLESSING5_TEXT',	'TXT_KEY_BUILDING_JAR_BLESSING_STRATEGY',	'TEMPLE',				-1,					-1,		1,				1,			'JAR_NAVAJO_ICON_ATLAS',	2),
		('BUILDING_JAR_BLESSING6E',		'BUILDINGCLASS_JAR_BLESSING6E',	483,						20,		0,					-1,		null,			'TXT_KEY_BUILDING_JAR_BLESSING6_HELP',	'TXT_KEY_BUILDING_JAR_BLESSING6',	'TXT_KEY_CIV5_JAR_BLESSING6_TEXT',	'TXT_KEY_BUILDING_JAR_BLESSING_STRATEGY',	'TEMPLE',				-1,					-1,		1,				1,			'JAR_NAVAJO_ICON_ATLAS',	2),
		('BUILDING_JAR_BLESSING7E',		'BUILDINGCLASS_JAR_BLESSING7E',	483,						20,		0,					-1,		null,			'TXT_KEY_BUILDING_JAR_BLESSING7_HELP',	'TXT_KEY_BUILDING_JAR_BLESSING7',	'TXT_KEY_CIV5_JAR_BLESSING7_TEXT',	'TXT_KEY_BUILDING_JAR_BLESSING_STRATEGY',	'TEMPLE',				-1,					-1,		1,				1,			'JAR_NAVAJO_ICON_ATLAS',	2),
		-- Classical era
		('BUILDING_JAR_BLESSING1A',		'BUILDINGCLASS_JAR_BLESSING1A',	484,						75,		0,					100,		null,		'TXT_KEY_BUILDING_JAR_BLESSING1_HELP',	'TXT_KEY_BUILDING_JAR_BLESSING1',	'TXT_KEY_CIV5_JAR_BLESSING1_TEXT',	'TXT_KEY_BUILDING_JAR_BLESSING_STRATEGY',	'TEMPLE',				-1,					-1,		1,				1,			'JAR_NAVAJO_ICON_ATLAS',	2),
		('BUILDING_JAR_BLESSING2A',		'BUILDINGCLASS_JAR_BLESSING2A',	484,						75,		0,					100,		null,		'TXT_KEY_BUILDING_JAR_BLESSING2_HELP',	'TXT_KEY_BUILDING_JAR_BLESSING2',	'TXT_KEY_CIV5_JAR_BLESSING2_TEXT',	'TXT_KEY_BUILDING_JAR_BLESSING_STRATEGY',	'TEMPLE',				-1,					-1,		1,				1,			'JAR_NAVAJO_ICON_ATLAS',	2),
		('BUILDING_JAR_BLESSING3A',		'BUILDINGCLASS_JAR_BLESSING3A',	484,						75,		0,					100,		null,		'TXT_KEY_BUILDING_JAR_BLESSING3_HELP',	'TXT_KEY_BUILDING_JAR_BLESSING3',	'TXT_KEY_CIV5_JAR_BLESSING3_TEXT',	'TXT_KEY_BUILDING_JAR_BLESSING_STRATEGY',	'TEMPLE',				-1,					-1,		1,				1,			'JAR_NAVAJO_ICON_ATLAS',	2),
		('BUILDING_JAR_BLESSING4A',		'BUILDINGCLASS_JAR_BLESSING4A',	484,						75,		0,					100,		null,		'TXT_KEY_BUILDING_JAR_BLESSING4_HELP',	'TXT_KEY_BUILDING_JAR_BLESSING4',	'TXT_KEY_CIV5_JAR_BLESSING4_TEXT',	'TXT_KEY_BUILDING_JAR_BLESSING_STRATEGY',	'TEMPLE',				-1,					-1,		1,				1,			'JAR_NAVAJO_ICON_ATLAS',	2),
		('BUILDING_JAR_BLESSING5A',		'BUILDINGCLASS_JAR_BLESSING5A',	484,						75,		0,					100,		null,		'TXT_KEY_BUILDING_JAR_BLESSING5_HELP',	'TXT_KEY_BUILDING_JAR_BLESSING5',	'TXT_KEY_CIV5_JAR_BLESSING5_TEXT',	'TXT_KEY_BUILDING_JAR_BLESSING_STRATEGY',	'TEMPLE',				-1,					-1,		1,				1,			'JAR_NAVAJO_ICON_ATLAS',	2),
		('BUILDING_JAR_BLESSING6A',		'BUILDINGCLASS_JAR_BLESSING6A',	484,						75,		0,					100,		null,		'TXT_KEY_BUILDING_JAR_BLESSING6_HELP',	'TXT_KEY_BUILDING_JAR_BLESSING6',	'TXT_KEY_CIV5_JAR_BLESSING6_TEXT',	'TXT_KEY_BUILDING_JAR_BLESSING_STRATEGY',	'TEMPLE',				-1,					-1,		1,				1,			'JAR_NAVAJO_ICON_ATLAS',	2),
		('BUILDING_JAR_BLESSING7A',		'BUILDINGCLASS_JAR_BLESSING7A',	484,						75,		0,					100,		null,		'TXT_KEY_BUILDING_JAR_BLESSING7_HELP',	'TXT_KEY_BUILDING_JAR_BLESSING7',	'TXT_KEY_CIV5_JAR_BLESSING7_TEXT',	'TXT_KEY_BUILDING_JAR_BLESSING_STRATEGY',	'TEMPLE',				-1,					-1,		1,				1,			'JAR_NAVAJO_ICON_ATLAS',	2),
		-- Renaissance Era
		('BUILDING_JAR_BLESSING1B',		'BUILDINGCLASS_JAR_BLESSING1B',	486,						250,	0,					250,		null,		'TXT_KEY_BUILDING_JAR_BLESSING1_HELP',	'TXT_KEY_BUILDING_JAR_BLESSING1',	'TXT_KEY_CIV5_JAR_BLESSING1_TEXT',	'TXT_KEY_BUILDING_JAR_BLESSING_STRATEGY',	'TEMPLE',				-1,					-1,		1,				1,			'JAR_NAVAJO_ICON_ATLAS',	2),
		('BUILDING_JAR_BLESSING2B',		'BUILDINGCLASS_JAR_BLESSING2B',	486,						250,	0,					250,		null,		'TXT_KEY_BUILDING_JAR_BLESSING2_HELP',	'TXT_KEY_BUILDING_JAR_BLESSING2',	'TXT_KEY_CIV5_JAR_BLESSING2_TEXT',	'TXT_KEY_BUILDING_JAR_BLESSING_STRATEGY',	'TEMPLE',				-1,					-1,		1,				1,			'JAR_NAVAJO_ICON_ATLAS',	2),
		('BUILDING_JAR_BLESSING3B',		'BUILDINGCLASS_JAR_BLESSING3B',	486,						250,	0,					250,		null,		'TXT_KEY_BUILDING_JAR_BLESSING3_HELP',	'TXT_KEY_BUILDING_JAR_BLESSING3',	'TXT_KEY_CIV5_JAR_BLESSING3_TEXT',	'TXT_KEY_BUILDING_JAR_BLESSING_STRATEGY',	'TEMPLE',				-1,					-1,		1,				1,			'JAR_NAVAJO_ICON_ATLAS',	2),
		('BUILDING_JAR_BLESSING4B',		'BUILDINGCLASS_JAR_BLESSING4B',	486,						250,	0,					250,		null,		'TXT_KEY_BUILDING_JAR_BLESSING4_HELP',	'TXT_KEY_BUILDING_JAR_BLESSING4',	'TXT_KEY_CIV5_JAR_BLESSING4_TEXT',	'TXT_KEY_BUILDING_JAR_BLESSING_STRATEGY',	'TEMPLE',				-1,					-1,		1,				1,			'JAR_NAVAJO_ICON_ATLAS',	2),
		('BUILDING_JAR_BLESSING5B',		'BUILDINGCLASS_JAR_BLESSING5B',	486,						250,	0,					250,		null,		'TXT_KEY_BUILDING_JAR_BLESSING5_HELP',	'TXT_KEY_BUILDING_JAR_BLESSING5',	'TXT_KEY_CIV5_JAR_BLESSING5_TEXT',	'TXT_KEY_BUILDING_JAR_BLESSING_STRATEGY',	'TEMPLE',				-1,					-1,		1,				1,			'JAR_NAVAJO_ICON_ATLAS',	2),
		('BUILDING_JAR_BLESSING6B',		'BUILDINGCLASS_JAR_BLESSING6B',	486,						250,	0,					250,		null,		'TXT_KEY_BUILDING_JAR_BLESSING6_HELP',	'TXT_KEY_BUILDING_JAR_BLESSING6',	'TXT_KEY_CIV5_JAR_BLESSING6_TEXT',	'TXT_KEY_BUILDING_JAR_BLESSING_STRATEGY',	'TEMPLE',				-1,					-1,		1,				1,			'JAR_NAVAJO_ICON_ATLAS',	2),
		('BUILDING_JAR_BLESSING7B',		'BUILDINGCLASS_JAR_BLESSING7',	486,						250,	0,					250,		null,		'TXT_KEY_BUILDING_JAR_BLESSING7_HELP',	'TXT_KEY_BUILDING_JAR_BLESSING7',	'TXT_KEY_CIV5_JAR_BLESSING7_TEXT',	'TXT_KEY_BUILDING_JAR_BLESSING_STRATEGY',	'TEMPLE',				-1,					-1,		1,				1,			'JAR_NAVAJO_ICON_ATLAS',	2),
		-- Industrial Era
		('BUILDING_JAR_BLESSING1C',		'BUILDINGCLASS_JAR_BLESSING1C',	487,						350,	0,					300,		null,		'TXT_KEY_BUILDING_JAR_BLESSING1_HELP',	'TXT_KEY_BUILDING_JAR_BLESSING1',	'TXT_KEY_CIV5_JAR_BLESSING1_TEXT',	'TXT_KEY_BUILDING_JAR_BLESSING_STRATEGY',	'TEMPLE',				-1,					-1,		1,				1,			'JAR_NAVAJO_ICON_ATLAS',	2),
		('BUILDING_JAR_BLESSING2C',		'BUILDINGCLASS_JAR_BLESSING2C',	487,						350,	0,					300,		null,		'TXT_KEY_BUILDING_JAR_BLESSING2_HELP',	'TXT_KEY_BUILDING_JAR_BLESSING2',	'TXT_KEY_CIV5_JAR_BLESSING2_TEXT',	'TXT_KEY_BUILDING_JAR_BLESSING_STRATEGY',	'TEMPLE',				-1,					-1,		1,				1,			'JAR_NAVAJO_ICON_ATLAS',	2),
		('BUILDING_JAR_BLESSING3C',		'BUILDINGCLASS_JAR_BLESSING3C',	487,						350,	0,					300,		null,		'TXT_KEY_BUILDING_JAR_BLESSING3_HELP',	'TXT_KEY_BUILDING_JAR_BLESSING3',	'TXT_KEY_CIV5_JAR_BLESSING3_TEXT',	'TXT_KEY_BUILDING_JAR_BLESSING_STRATEGY',	'TEMPLE',				-1,					-1,		1,				1,			'JAR_NAVAJO_ICON_ATLAS',	2),
		('BUILDING_JAR_BLESSING4C',		'BUILDINGCLASS_JAR_BLESSING4C',	487,						350,	0,					300,		null,		'TXT_KEY_BUILDING_JAR_BLESSING4_HELP',	'TXT_KEY_BUILDING_JAR_BLESSING4',	'TXT_KEY_CIV5_JAR_BLESSING4_TEXT',	'TXT_KEY_BUILDING_JAR_BLESSING_STRATEGY',	'TEMPLE',				-1,					-1,		1,				1,			'JAR_NAVAJO_ICON_ATLAS',	2),
		('BUILDING_JAR_BLESSING5C',		'BUILDINGCLASS_JAR_BLESSING5C',	487,						350,	0,					300,		null,		'TXT_KEY_BUILDING_JAR_BLESSING5_HELP',	'TXT_KEY_BUILDING_JAR_BLESSING5',	'TXT_KEY_CIV5_JAR_BLESSING5_TEXT',	'TXT_KEY_BUILDING_JAR_BLESSING_STRATEGY',	'TEMPLE',				-1,					-1,		1,				1,			'JAR_NAVAJO_ICON_ATLAS',	2),
		('BUILDING_JAR_BLESSING6C',		'BUILDINGCLASS_JAR_BLESSING6C',	487,						350,	0,					300,		null,		'TXT_KEY_BUILDING_JAR_BLESSING6_HELP',	'TXT_KEY_BUILDING_JAR_BLESSING6',	'TXT_KEY_CIV5_JAR_BLESSING6_TEXT',	'TXT_KEY_BUILDING_JAR_BLESSING_STRATEGY',	'TEMPLE',				-1,					-1,		1,				1,			'JAR_NAVAJO_ICON_ATLAS',	2),
		('BUILDING_JAR_BLESSING7C',		'BUILDINGCLASS_JAR_BLESSING7C',	487,						350,	0,					300,		null,		'TXT_KEY_BUILDING_JAR_BLESSING7_HELP',	'TXT_KEY_BUILDING_JAR_BLESSING7',	'TXT_KEY_CIV5_JAR_BLESSING7_TEXT',	'TXT_KEY_BUILDING_JAR_BLESSING_STRATEGY',	'TEMPLE',				-1,					-1,		1,				1,			'JAR_NAVAJO_ICON_ATLAS',	2),
		-- Modern Era and onwards
		('BUILDING_JAR_BLESSING1D',		'BUILDINGCLASS_JAR_BLESSING1D',	488,						450,	0,					300,		null,		'TXT_KEY_BUILDING_JAR_BLESSING1_HELP',	'TXT_KEY_BUILDING_JAR_BLESSING1',	'TXT_KEY_CIV5_JAR_BLESSING1_TEXT',	'TXT_KEY_BUILDING_JAR_BLESSING_STRATEGY',	'TEMPLE',				-1,					-1,		1,				1,			'JAR_NAVAJO_ICON_ATLAS',	2),
		('BUILDING_JAR_BLESSING2D',		'BUILDINGCLASS_JAR_BLESSING2D',	488,						450,	0,					300,		null,		'TXT_KEY_BUILDING_JAR_BLESSING2_HELP',	'TXT_KEY_BUILDING_JAR_BLESSING2',	'TXT_KEY_CIV5_JAR_BLESSING2_TEXT',	'TXT_KEY_BUILDING_JAR_BLESSING_STRATEGY',	'TEMPLE',				-1,					-1,		1,				1,			'JAR_NAVAJO_ICON_ATLAS',	2),
		('BUILDING_JAR_BLESSING3D',		'BUILDINGCLASS_JAR_BLESSING3D',	488,						450,	0,					300,		null,		'TXT_KEY_BUILDING_JAR_BLESSING3_HELP',	'TXT_KEY_BUILDING_JAR_BLESSING3',	'TXT_KEY_CIV5_JAR_BLESSING3_TEXT',	'TXT_KEY_BUILDING_JAR_BLESSING_STRATEGY',	'TEMPLE',				-1,					-1,		1,				1,			'JAR_NAVAJO_ICON_ATLAS',	2),
		('BUILDING_JAR_BLESSING4D',		'BUILDINGCLASS_JAR_BLESSING4D',	488,						450,	0,					300,		null,		'TXT_KEY_BUILDING_JAR_BLESSING4_HELP',	'TXT_KEY_BUILDING_JAR_BLESSING4',	'TXT_KEY_CIV5_JAR_BLESSING4_TEXT',	'TXT_KEY_BUILDING_JAR_BLESSING_STRATEGY',	'TEMPLE',				-1,					-1,		1,				1,			'JAR_NAVAJO_ICON_ATLAS',	2),
		('BUILDING_JAR_BLESSING5D',		'BUILDINGCLASS_JAR_BLESSING5D',	488,						450,	0,					300,		null,		'TXT_KEY_BUILDING_JAR_BLESSING5_HELP',	'TXT_KEY_BUILDING_JAR_BLESSING5',	'TXT_KEY_CIV5_JAR_BLESSING5_TEXT',	'TXT_KEY_BUILDING_JAR_BLESSING_STRATEGY',	'TEMPLE',				-1,					-1,		1,				1,			'JAR_NAVAJO_ICON_ATLAS',	2),
		('BUILDING_JAR_BLESSING6D',		'BUILDINGCLASS_JAR_BLESSING6D',	488,						450,	0,					300,		null,		'TXT_KEY_BUILDING_JAR_BLESSING6_HELP',	'TXT_KEY_BUILDING_JAR_BLESSING6',	'TXT_KEY_CIV5_JAR_BLESSING6_TEXT',	'TXT_KEY_BUILDING_JAR_BLESSING_STRATEGY',	'TEMPLE',				-1,					-1,		1,				1,			'JAR_NAVAJO_ICON_ATLAS',	2),
		('BUILDING_JAR_BLESSING7D',		'BUILDINGCLASS_JAR_BLESSING7D',	488,						450,	0,					300,		null,		'TXT_KEY_BUILDING_JAR_BLESSING7_HELP',	'TXT_KEY_BUILDING_JAR_BLESSING7',	'TXT_KEY_CIV5_JAR_BLESSING7_TEXT',	'TXT_KEY_BUILDING_JAR_BLESSING_STRATEGY',	'TEMPLE',				-1,					-1,		1,				1,			'JAR_NAVAJO_ICON_ATLAS',	2);

INSERT INTO Buildings 		
		(Type, 							BuildingClass,					Happiness,	GreatWorkCount,	Cost, FaithCost, PrereqTech, Description,						Help, 					 NeverCapture)
VALUES	('BUILDING_JAR_GWMUSIC',		'BUILDINGCLASS_JAR_GWMUSIC',	1,			-1,				-1,   -1,		 null,		 'TXT_KEY_BUILDING_JAR_GWMUSIC',	'TXT_KEY_TRAIT_JAR_NAVAJO',	 1),
		('BUILDING_JAR_TIMER',			'BUILDINGCLASS_JAR_TIMER',		0,			-1,				-1,   -1,		 null,		 'TXT_KEY_BUILDING_JAR_TIMER',		'TXT_KEY_TRAIT_JAR_NAVAJO',	 1),
		('BUILDING_JAR_BLESSINGDM5',	'BUILDINGCLASS_JAR_BLESSINGDM',	0,			-1,				-1,   -1,		 null,		 'TXT_KEY_BUILDING_JAR_BLESSINGDM5',	'TXT_KEY_TRAIT_JAR_NAVAJO',	 1),
		('BUILDING_JAR_BLESSPROD',		'BUILDINGCLASS_JAR_BLESSPROD',	0,			-1,				-1,   -1,		 null,		 'TXT_KEY_BUILDING_JAR_BLESSPROD',	'TXT_KEY_TRAIT_JAR_NAVAJO',	 1),
		('BUILDING_JAR_BLESSPROD2',		'BUILDINGCLASS_JAR_BLESSPROD',	0,			-1,				-1,   -1,		 null,		 'TXT_KEY_BUILDING_JAR_BLESSPROD',	'TXT_KEY_TRAIT_JAR_NAVAJO',	 1),
		('BUILDING_JAR_BLESSSCI',		'BUILDINGCLASS_JAR_BLESSSCI',	0,			-1,				-1,   -1,		 null,		 'TXT_KEY_BUILDING_JAR_BLESSSCI',	'TXT_KEY_TRAIT_JAR_NAVAJO',	 1),
		('BUILDING_JAR_BLESSSCI2',		'BUILDINGCLASS_JAR_BLESSSCI',	0,			-1,				-1,   -1,		 null,		 'TXT_KEY_BUILDING_JAR_BLESSSCI',	'TXT_KEY_TRAIT_JAR_NAVAJO',	 1),
		('BUILDING_JAR_BLESSGOLD',		'BUILDINGCLASS_JAR_BLESSGOLD',	0,			-1,				-1,   -1,		 null,		 'TXT_KEY_BUILDING_JAR_BLESSGOLD',	'TXT_KEY_TRAIT_JAR_NAVAJO',	 1),
		('BUILDING_JAR_BLESSGOLD2',		'BUILDINGCLASS_JAR_BLESSGOLD',	0,			-1,				-1,   -1,		 null,		 'TXT_KEY_BUILDING_JAR_BLESSGOLD',	'TXT_KEY_TRAIT_JAR_NAVAJO',	 1),
		('BUILDING_JAR_BLESSFOOD',		'BUILDINGCLASS_JAR_BLESSFOOD',	0,			-1,				-1,   -1,		 null,		 'TXT_KEY_BUILDING_JAR_BLESSFOOD',	'TXT_KEY_TRAIT_JAR_NAVAJO',	 1),
		('BUILDING_JAR_BLESSFAITH',		'BUILDINGCLASS_JAR_BLESSFAITH',	0,			-1,				-1,   -1,		 null,		 'TXT_KEY_BUILDING_JAR_BLESSFAITH',	'TXT_KEY_TRAIT_JAR_NAVAJO',	 1),
		('BUILDING_JAR_BLESSBEAUTY',	'BUILDINGCLASS_JAR_BLESSBEAUTY',	1,		-1,				-1,   -1,		 null,		 'TXT_KEY_BUILDING_JAR_BLESSBEAUTY',	'TXT_KEY_TRAIT_JAR_NAVAJO',	 1);

UPDATE Buildings SET FoodKept = 1 WHERE Type = 'BUILDING_JAR_BLESSFOOD';
UPDATE Buildings SET GreatWorksTourismModifier=50, LandmarksTourismPercent=50 		WHERE Type IN (SELECT	'BUILDING_JAR_BLESSING3'||let FROM Jar_LetTable);
UPDATE Buildings SET Defense = 250, ExtraCityHitPoints = 25, HealRateChange = 10	WHERE Type IN (SELECT	'BUILDING_JAR_BLESSING5'||let FROM Jar_LetTable);
UPDATE Buildings SET Defense = 50, ExtraCityHitPoints = 5 WHERE Type = 'BUILDING_JAR_BLESSINGDM5';

INSERT OR REPLACE INTO Buildings
		(Type, 						 		BuildingClass, 							TechEnhancedTourism,	Cost,	FaithCost,	GreatWorkCount,	PrereqTech,	MinAreaSize,	Description, 								Help)
VALUES	('BUILDING_JAR_DUMMY_TOURISM_0', 	'BUILDINGCLASS_JAR_DUMMY_TOURISM_0',	1,						-1,		-1,			-1,				null,		-1,				'TXT_KEY_BUILDING_JAR_DUMMY_TOURISM_0',		'TXT_KEY_BUILDING_JAR_DUMMY_TOURISM_0_HELP'),
		('BUILDING_JAR_DUMMY_TOURISM_1', 	'BUILDINGCLASS_JAR_DUMMY_TOURISM_1',	2,						-1,		-1,			-1,				null,		-1,				'TXT_KEY_BUILDING_JAR_DUMMY_TOURISM_1',		'TXT_KEY_BUILDING_JAR_DUMMY_TOURISM_1_HELP'),
		('BUILDING_JAR_DUMMY_TOURISM_2', 	'BUILDINGCLASS_JAR_DUMMY_TOURISM_2',	4,						-1,		-1,			-1,				null,		-1,				'TXT_KEY_BUILDING_JAR_DUMMY_TOURISM_2',		'TXT_KEY_BUILDING_JAR_DUMMY_TOURISM_2_HELP'),
		('BUILDING_JAR_DUMMY_TOURISM_3', 	'BUILDINGCLASS_JAR_DUMMY_TOURISM_3',	8,						-1,		-1,			-1,				null,		-1,				'TXT_KEY_BUILDING_JAR_DUMMY_TOURISM_3',		'TXT_KEY_BUILDING_JAR_DUMMY_TOURISM_3_HELP'),
		('BUILDING_JAR_DUMMY_TOURISM_4', 	'BUILDINGCLASS_JAR_DUMMY_TOURISM_4',	16,						-1,		-1,			-1,				null,		-1,				'TXT_KEY_BUILDING_JAR_DUMMY_TOURISM_4',		'TXT_KEY_BUILDING_JAR_DUMMY_TOURISM_4_HELP'),
		('BUILDING_JAR_DUMMY_TOURISM_5', 	'BUILDINGCLASS_JAR_DUMMY_TOURISM_5',	32,						-1,		-1,			-1,				null,		-1,				'TXT_KEY_BUILDING_JAR_DUMMY_TOURISM_5',		'TXT_KEY_BUILDING_JAR_DUMMY_TOURISM_5_HELP'),
		('BUILDING_JAR_DUMMY_TOURISM_6', 	'BUILDINGCLASS_JAR_DUMMY_TOURISM_6',	64,						-1,		-1,			-1,				null,		-1,				'TXT_KEY_BUILDING_JAR_DUMMY_TOURISM_6',		'TXT_KEY_BUILDING_JAR_DUMMY_TOURISM_6_HELP'),
		('BUILDING_JAR_DUMMY_TOURISM_7', 	'BUILDINGCLASS_JAR_DUMMY_TOURISM_7',	128,					-1,		-1,			-1,				null,		-1,				'TXT_KEY_BUILDING_JAR_DUMMY_TOURISM_7',		'TXT_KEY_BUILDING_JAR_DUMMY_TOURISM_7_HELP'),
		('BUILDING_JAR_DUMMY_TOURISM_8', 	'BUILDINGCLASS_JAR_DUMMY_TOURISM_8',	256,					-1,		-1,			-1,				null,		-1,				'TXT_KEY_BUILDING_JAR_DUMMY_TOURISM_8',		'TXT_KEY_BUILDING_JAR_DUMMY_TOURISM_8_HELP'),
		('BUILDING_JAR_DUMMY_TOURISM_9', 	'BUILDINGCLASS_JAR_DUMMY_TOURISM_9',	512,					-1,		-1,			-1,				null,		-1,				'TXT_KEY_BUILDING_JAR_DUMMY_TOURISM_9',		'TXT_KEY_BUILDING_JAR_DUMMY_TOURISM_9_HELP');
------------------------------	
-- Building_Flavors
------------------------------
INSERT INTO Building_Flavors 	
		(BuildingType, 						FlavorType,			Flavor)
SELECT	'BUILDING_JAR_BLESSING1'||let,		'FLAVOR_GROWTH',		10	FROM Jar_LetTable UNION ALL
SELECT	'BUILDING_JAR_BLESSING2'||let,		'FLAVOR_PRODUCTION',	10	FROM Jar_LetTable UNION ALL	
SELECT	'BUILDING_JAR_BLESSING2'||let,		'FLAVOR_GROWTH',		5	FROM Jar_LetTable UNION ALL	
SELECT	'BUILDING_JAR_BLESSING3'||let,		'FLAVOR_CULTURE',		10	FROM Jar_LetTable UNION ALL
SELECT	'BUILDING_JAR_BLESSING3'||let,		'FLAVOR_HAPPINESS',		7	FROM Jar_LetTable UNION ALL	
SELECT	'BUILDING_JAR_BLESSING4'||let,		'FLAVOR_RELIGION',		10	FROM Jar_LetTable UNION ALL
SELECT	'BUILDING_JAR_BLESSING4'||let,		'FLAVOR_MILITARY_TRAINING',	5	FROM Jar_LetTable UNION ALL
SELECT	'BUILDING_JAR_BLESSING4'||let,		'FLAVOR_EXPANSION',		5	FROM Jar_LetTable UNION ALL
SELECT	'BUILDING_JAR_BLESSING5'||let,		'FLAVOR_PRODUCTION',	7	FROM Jar_LetTable UNION ALL	
SELECT	'BUILDING_JAR_BLESSING5'||let,		'FLAVOR_MILITARY_TRAINING',		10	FROM Jar_LetTable UNION ALL
SELECT	'BUILDING_JAR_BLESSING5'||let,		'FLAVOR_CITY_DEFENSE',	7	FROM Jar_LetTable UNION ALL
SELECT	'BUILDING_JAR_BLESSING6'||let,		'FLAVOR_SCIENCE',		10	FROM Jar_LetTable UNION ALL
SELECT	'BUILDING_JAR_BLESSING7'||let,		'FLAVOR_GOLD',			7	FROM Jar_LetTable;
------------------------------	
-- Building_TerrainYieldChanges
------------------------------		
INSERT INTO Building_TerrainYieldChanges
		(BuildingType, 					TerrainType, 		YieldType, 		Yield)
SELECT	'BUILDING_JAR_BLESSING1'||let,	'TERRAIN_PLAINS',	'YIELD_FOOD',	1	FROM Jar_LetTable UNION ALL
SELECT	'BUILDING_JAR_BLESSING1'||let,	'TERRAIN_DESERT',	'YIELD_FOOD',	1	FROM Jar_LetTable;
------------------------------	
-- Building_DomainFreeExperiences
------------------------------		
INSERT INTO	Building_DomainFreeExperiences
		(BuildingType,					DomainType,	Experience)
SELECT	'BUILDING_JAR_BLESSING5'||let, 'DOMAIN_LAND', 15	FROM Jar_LetTable UNION ALL
SELECT	'BUILDING_JAR_BLESSING5'||let, 'DOMAIN_SEA',  15	FROM Jar_LetTable UNION ALL
SELECT	'BUILDING_JAR_BLESSING5'||let, 'DOMAIN_AIR',  15	FROM Jar_LetTable;
		
------------------------------	
-- Building_DomainProductionModifiers
------------------------------	
INSERT INTO	Building_DomainProductionModifiers
		(BuildingType,				DomainType, Modifier)
SELECT	'BUILDING_JAR_BLESSING5'||let, 'DOMAIN_LAND', 20	FROM Jar_LetTable UNION ALL
SELECT	'BUILDING_JAR_BLESSING5'||let, 'DOMAIN_SEA',  20	FROM Jar_LetTable UNION ALL
SELECT	'BUILDING_JAR_BLESSING5'||let, 'DOMAIN_AIR',  20	FROM Jar_LetTable;
------------------------------	
-- Building_YieldChanges
------------------------------
INSERT INTO Building_YieldChanges
		(BuildingType, 				YieldType,			Yield)
SELECT	'BUILDING_JAR_GWMUSIC',		'YIELD_FAITH',			1	UNION ALL
SELECT	'BUILDING_JAR_BLESSPROD2',	'YIELD_PRODUCTION',		1	UNION ALL
SELECT	'BUILDING_JAR_BLESSGOLD2',	'YIELD_GOLD',			1	UNION ALL
SELECT	'BUILDING_JAR_BLESSSCI2',	'YIELD_SCIENCE',		1	UNION ALL
SELECT	'BUILDING_JAR_BLESSFAITH',	'YIELD_FAITH',			1	UNION ALL
SELECT	'BUILDING_JAR_BLESSBEAUTY',	'YIELD_TOURISM',		1 	WHERE EXISTS (SELECT * FROM Yields WHERE Type='YIELD_TOURISM' ) UNION ALL
SELECT	'BUILDING_JAR_BLESSING2'||let, 'YIELD_PRODUCTION',	3	FROM Jar_LetTable UNION ALL
-- Ancient Era
SELECT	'BUILDING_JAR_BLESSING'||num||'E', 'YIELD_FAITH',	1	FROM Jar_NumTable UNION ALL
SELECT	'BUILDING_JAR_BLESSING'||num||'E', 'YIELD_CULTURE',	1	FROM Jar_NumTable UNION ALL
-- Classical Era
SELECT	'BUILDING_JAR_BLESSING'||num||'A', 'YIELD_FAITH',	1	FROM Jar_NumTable UNION ALL
SELECT	'BUILDING_JAR_BLESSING'||num||'A', 'YIELD_CULTURE',	1	FROM Jar_NumTable UNION ALL
-- Medieval Era
SELECT	'BUILDING_JAR_BLESSING'||num, 	'YIELD_FAITH',		2	FROM Jar_NumTable UNION ALL
SELECT	'BUILDING_JAR_BLESSING'||num, 	'YIELD_CULTURE',	2	FROM Jar_NumTable UNION ALL
-- Renaissance Era
SELECT	'BUILDING_JAR_BLESSING'||num||'B', 'YIELD_FAITH',	2	FROM Jar_NumTable UNION ALL
SELECT	'BUILDING_JAR_BLESSING'||num||'B', 'YIELD_CULTURE',	2	FROM Jar_NumTable UNION ALL
-- Industrial Era
SELECT	'BUILDING_JAR_BLESSING'||num||'C', 'YIELD_FAITH',	3	FROM Jar_NumTable UNION ALL
SELECT	'BUILDING_JAR_BLESSING'||num||'C', 'YIELD_CULTURE',	3	FROM Jar_NumTable UNION ALL
-- Modern Era and onward
SELECT	'BUILDING_JAR_BLESSING'||num||'D', 'YIELD_FAITH',	4	FROM Jar_NumTable UNION ALL
SELECT	'BUILDING_JAR_BLESSING'||num||'D', 'YIELD_CULTURE',	4	FROM Jar_NumTable;
------------------------------	
-- Building_YieldModifiers
------------------------------
INSERT INTO Building_YieldModifiers
		(BuildingType, 				YieldType, 			Yield)
VALUES	('BUILDING_JAR_BLESSPROD',	'YIELD_PRODUCTION',	3),
		('BUILDING_JAR_BLESSGOLD',	'YIELD_GOLD',		3),
		('BUILDING_JAR_BLESSSCI',	'YIELD_SCIENCE',	3);
--==========================================================================================================================	
-- CIVILIZATIONS
--==========================================================================================================================	
-- Civilizations
--------------------------------------------------------------------------------------------------------------------------		
INSERT INTO Civilizations 	
		(Type, 						Description, 				ShortDescription,				 Adjective,							Civilopedia, 					CivilopediaTag, 		DefaultPlayerColor,			ArtDefineTag, ArtStyleType, ArtStyleSuffix, ArtStylePrefix, IconAtlas,					AlphaIconAtlas,			PortraitIndex,	SoundtrackTag,  MapImage, 				DawnOfManQuote, 				DawnOfManImage)
SELECT	'CIVILIZATION_JAR_NAVAJO',	'TXT_KEY_CIV_NAVAJO_DESC', 	'TXT_KEY_CIV_NAVAJO_SHORT_DESC', 'TXT_KEY_CIV_NAVAJO_ADJECTIVE',  	'TXT_KEY_CIV5_NAVAJO_TEXT_1', 	'TXT_KEY_CIV5_NAVAJO', 'PLAYERCOLOR_JAR_NAVAJO',  	ArtDefineTag, ArtStyleType, ArtStyleSuffix, ArtStylePrefix, 'JAR_NAVAJO_ICON_ATLAS',  'JAR_NAVAJO_ALPHA_ATLAS', 0,				SoundtrackTag, 	'Jar_MapNavajo.dds',   'TXT_KEY_CIV5_DAWN_NAVAJO_TEXT',   'Jar_DOM_Navajo.dds'
FROM Civilizations WHERE Type = 'CIVILIZATION_SHOSHONE';
--------------------------------------------------------------------------------------------------------------------------	
-- Civilization_CityNames
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Civilization_CityNames 
			(CivilizationType, 					CityName)
VALUES		('CIVILIZATION_JAR_NAVAJO', 		'TXT_KEY_CITY_NAME_JAR_NAVAJO_01'),
			('CIVILIZATION_JAR_NAVAJO', 		'TXT_KEY_CITY_NAME_JAR_NAVAJO_02'),
			('CIVILIZATION_JAR_NAVAJO', 		'TXT_KEY_CITY_NAME_JAR_NAVAJO_03'),
			('CIVILIZATION_JAR_NAVAJO', 		'TXT_KEY_CITY_NAME_JAR_NAVAJO_04'),
			('CIVILIZATION_JAR_NAVAJO', 		'TXT_KEY_CITY_NAME_JAR_NAVAJO_05'),
			('CIVILIZATION_JAR_NAVAJO', 		'TXT_KEY_CITY_NAME_JAR_NAVAJO_06'),
			('CIVILIZATION_JAR_NAVAJO', 		'TXT_KEY_CITY_NAME_JAR_NAVAJO_07'),
			('CIVILIZATION_JAR_NAVAJO', 		'TXT_KEY_CITY_NAME_JAR_NAVAJO_08'),
			('CIVILIZATION_JAR_NAVAJO', 		'TXT_KEY_CITY_NAME_JAR_NAVAJO_09'),
			('CIVILIZATION_JAR_NAVAJO', 		'TXT_KEY_CITY_NAME_JAR_NAVAJO_10'),
			('CIVILIZATION_JAR_NAVAJO', 		'TXT_KEY_CITY_NAME_JAR_NAVAJO_11'),
			('CIVILIZATION_JAR_NAVAJO', 		'TXT_KEY_CITY_NAME_JAR_NAVAJO_12'),
			('CIVILIZATION_JAR_NAVAJO', 		'TXT_KEY_CITY_NAME_JAR_NAVAJO_13'),
			('CIVILIZATION_JAR_NAVAJO', 		'TXT_KEY_CITY_NAME_JAR_NAVAJO_14'),
			('CIVILIZATION_JAR_NAVAJO', 		'TXT_KEY_CITY_NAME_JAR_NAVAJO_15'),
			('CIVILIZATION_JAR_NAVAJO', 		'TXT_KEY_CITY_NAME_JAR_NAVAJO_16'),
			('CIVILIZATION_JAR_NAVAJO', 		'TXT_KEY_CITY_NAME_JAR_NAVAJO_17'),
			('CIVILIZATION_JAR_NAVAJO', 		'TXT_KEY_CITY_NAME_JAR_NAVAJO_18'),
			('CIVILIZATION_JAR_NAVAJO', 		'TXT_KEY_CITY_NAME_JAR_NAVAJO_19'),
			('CIVILIZATION_JAR_NAVAJO', 		'TXT_KEY_CITY_NAME_JAR_NAVAJO_20'),
			('CIVILIZATION_JAR_NAVAJO', 		'TXT_KEY_CITY_NAME_JAR_NAVAJO_21'),
			('CIVILIZATION_JAR_NAVAJO', 		'TXT_KEY_CITY_NAME_JAR_NAVAJO_22'),
			('CIVILIZATION_JAR_NAVAJO', 		'TXT_KEY_CITY_NAME_JAR_NAVAJO_23'),
			('CIVILIZATION_JAR_NAVAJO', 		'TXT_KEY_CITY_NAME_JAR_NAVAJO_24'),
			('CIVILIZATION_JAR_NAVAJO', 		'TXT_KEY_CITY_NAME_JAR_NAVAJO_25'),
			('CIVILIZATION_JAR_NAVAJO', 		'TXT_KEY_CITY_NAME_JAR_NAVAJO_26'),
			('CIVILIZATION_JAR_NAVAJO', 		'TXT_KEY_CITY_NAME_JAR_NAVAJO_27'),
			('CIVILIZATION_JAR_NAVAJO', 		'TXT_KEY_CITY_NAME_JAR_NAVAJO_28'),
			('CIVILIZATION_JAR_NAVAJO', 		'TXT_KEY_CITY_NAME_JAR_NAVAJO_29'),
			('CIVILIZATION_JAR_NAVAJO', 		'TXT_KEY_CITY_NAME_JAR_NAVAJO_30');
--------------------------------------------------------------------------------------------------------------------------	
-- Civilization_FreeBuildingClasses
--------------------------------------------------------------------------------------------------------------------------			
INSERT INTO Civilization_FreeBuildingClasses 
		(CivilizationType, 			BuildingClassType)
SELECT	'CIVILIZATION_JAR_NAVAJO', 	BuildingClassType
FROM Civilization_FreeBuildingClasses WHERE CivilizationType = 'CIVILIZATION_SHOSHONE';
--------------------------------------------------------------------------------------------------------------------------		
-- Civilization_FreeTechs
--------------------------------------------------------------------------------------------------------------------------			
INSERT INTO Civilization_FreeTechs 
		(CivilizationType, 			TechType)
SELECT	'CIVILIZATION_JAR_NAVAJO', 	TechType
FROM Civilization_FreeTechs WHERE CivilizationType = 'CIVILIZATION_SHOSHONE';
--------------------------------------------------------------------------------------------------------------------------	
-- Civilization_FreeUnits
--------------------------------------------------------------------------------------------------------------------------		
INSERT INTO Civilization_FreeUnits 
		(CivilizationType, 			UnitClassType, Count, UnitAIType)
SELECT	'CIVILIZATION_JAR_NAVAJO', 	UnitClassType, Count, UnitAIType
FROM Civilization_FreeUnits WHERE CivilizationType = 'CIVILIZATION_SHOSHONE';
--------------------------------------------------------------------------------------------------------------------------	
-- Civilization_Leaders
--------------------------------------------------------------------------------------------------------------------------		
INSERT INTO Civilization_Leaders 
		(CivilizationType, 			LeaderheadType)
VALUES	('CIVILIZATION_JAR_NAVAJO',	'LEADER_JAR_MANUELITO');
--------------------------------------------------------------------------------------------------------------------------	
-- Civilization_BuildingClassOverrides 
--------------------------------------------------------------------------------------------------------------------------		
--INSERT INTO Civilization_BuildingClassOverrides 
--		(CivilizationType, 			BuildingClassType, 				BuildingType)
--VALUES	('CIVILIZATION_JAR_NAVAJO', 'BUILDINGCLASS_JAR_BLESSING',	'BUILDING_JAR_BLESSING1');
--------------------------------------------------------------------------------------------------------------------------	
-- Civilization_UnitClassOverrides 
--------------------------------------------------------------------------------------------------------------------------		
INSERT INTO Civilization_UnitClassOverrides 
		(CivilizationType, 			UnitClassType, 				UnitType)
VALUES	('CIVILIZATION_JAR_NAVAJO', 'UNITCLASS_PROPHET',		'UNIT_JAR_HATAALII'),
		('CIVILIZATION_JAR_NAVAJO', 'UNITCLASS_PARATROOPER',	'UNIT_JAR_CODETALKER');
--------------------------------------------------------------------------------------------------------------------------	
-- Civilization_Religions
--------------------------------------------------------------------------------------------------------------------------			
INSERT INTO Civilization_Religions 
		(CivilizationType, 			ReligionType)
SELECT	'CIVILIZATION_JAR_NAVAJO',  ReligionType
FROM Civilization_Religions WHERE CivilizationType = 'CIVILIZATION_SHOSHONE';
--------------------------------------------------------------------------------------------------------------------------	
-- Civilization_SpyNames
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Civilization_SpyNames 
			(CivilizationType, 				SpyName)
VALUES		('CIVILIZATION_JAR_NAVAJO', 	'TXT_KEY_SPY_NAME_JAR_NAVAJO_0'),	
			('CIVILIZATION_JAR_NAVAJO', 	'TXT_KEY_SPY_NAME_JAR_NAVAJO_1'),
			('CIVILIZATION_JAR_NAVAJO', 	'TXT_KEY_SPY_NAME_JAR_NAVAJO_2'),
			('CIVILIZATION_JAR_NAVAJO', 	'TXT_KEY_SPY_NAME_JAR_NAVAJO_3'),
			('CIVILIZATION_JAR_NAVAJO', 	'TXT_KEY_SPY_NAME_JAR_NAVAJO_4'),
			('CIVILIZATION_JAR_NAVAJO', 	'TXT_KEY_SPY_NAME_JAR_NAVAJO_5'),
			('CIVILIZATION_JAR_NAVAJO', 	'TXT_KEY_SPY_NAME_JAR_NAVAJO_6'),
			('CIVILIZATION_JAR_NAVAJO', 	'TXT_KEY_SPY_NAME_JAR_NAVAJO_7'),
			('CIVILIZATION_JAR_NAVAJO', 	'TXT_KEY_SPY_NAME_JAR_NAVAJO_8'),
			('CIVILIZATION_JAR_NAVAJO', 	'TXT_KEY_SPY_NAME_JAR_NAVAJO_9');
--------------------------------------------------------------------------------------------------------------------------	
-- Civilization_Start_Region_Priority
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Civilization_Start_Region_Priority 
			(CivilizationType, 				RegionType)
VALUES		('CIVILIZATION_JAR_NAVAJO', 	'REGION_DESERT'),
			('CIVILIZATION_JAR_NAVAJO', 	'REGION_PLAINS');
--------------------------------------------------------------------------------------------------------------------------	
-- Civilization_Start_Region_Avoid
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Civilization_Start_Region_Avoid 
			(CivilizationType, 				RegionType)
VALUES		('CIVILIZATION_JAR_NAVAJO', 	'REGION_JUNGLE'),
			('CIVILIZATION_JAR_NAVAJO', 	'REGION_GRASS'),
			('CIVILIZATION_JAR_NAVAJO', 	'REGION_TUNDRA');
--==========================================================================================================================	
-- Colors
--==========================================================================================================================			
INSERT INTO Colors 
			(Type, 									Red, 	Green, 	Blue, 	Alpha)
VALUES		('COLOR_PLAYER_JAR_NAVAJO_ICON',		0.945,	0.655,	0.059,	1), -- 241 167 15
			('COLOR_PLAYER_JAR_NAVAJO_BACKGROUND',	0.275,	0.255,	0.078,	1); -- 70 65 20
--==========================================================================================================================	
-- PlayerColors
--==========================================================================================================================				
INSERT INTO PlayerColors 
			(Type, 								PrimaryColor, 							SecondaryColor, 								TextColor)
VALUES		('PLAYERCOLOR_JAR_NAVAJO',			'COLOR_PLAYER_JAR_NAVAJO_ICON', 		'COLOR_PLAYER_JAR_NAVAJO_BACKGROUND', 			'COLOR_PLAYER_WHITE_TEXT');
--==========================================================================================================================
--==========================================================================================================================