--==========================================================================================================================
-- MASTER TABLES
--==========================================================================================================================
--------------------------------------------------------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS CustomModOptions(Name Text, Value INTEGER, Class INTEGER, DbUpdates INTEGER);
CREATE TABLE IF NOT EXISTS COMMUNITY (Type TEXT, Value INTEGER);
--==========================================================================================================================
-- USER SETTINGS (THIS IS NEEDED IN MOST CASES)
--==========================================================================================================================
-- JFD_GlobalUserSettings
------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
JFD_GlobalUserSettings (
	Type 				text 			default null,
	Value 				integer 		default 1);
--==========================================================================================================================
-- Sukritact's Decisions
--==========================================================================================================================
-- DecisionsAddin_Support
------------------------------
CREATE TABLE IF NOT EXISTS DecisionsAddin_Support(FileName);
INSERT INTO DecisionsAddin_Support (FileName) VALUES ('Navajo_Decisions.lua');
------------------------------------------------------------
-- Policies
------------------------------------------------------------
INSERT INTO Policies 
		(Type,										Description) 
VALUES	('POLICY_DECISIONS_NAVAJO_RAID_NEIGHBORS',	'TXT_KEY_DECISIONS_JAR_NAVAJO_RAID_NEIGHBORS'),
		('POLICY_DECISIONS_NAVAJO_PROMOTE_SMITHING',	'TXT_KEY_DECISIONS_JAR_NAVAJO_RAID_NEIGHBORS');
		
INSERT INTO Policies 
		(Type,										Description, 									TradeRouteTourismModifier) 
VALUES	('POLICY_DECISIONS_NAVAJO_PROMOTE_DIYOGI',	'TXT_KEY_DECISIONS_JAR_NAVAJO_PROMOTE_DIYOGI',	10);

INSERT INTO Policy_FreePromotions
		(PolicyType,								PromotionType)
VALUES	('POLICY_DECISIONS_NAVAJO_RAID_NEIGHBORS',	'PROMOTION_RAID_NEIGHBORS');
------------------------------------------------------------
-- Buildings
------------------------------------------------------------
INSERT INTO BuildingClasses 	
		(Type, 								DefaultBuilding, 				Description,											NoLimit)
VALUES	('BUILDINGCLASS_PROMOTE_SMITHING',	'BUILDING_PROMOTE_SMITHING',	'TXT_KEY_DECISIONS_JAR_NAVAJO_PROMOTE_METALSMITHING',	0),
		('BUILDINGCLASS_DUMMY_SMITHING',	'BUILDING_DUMMY_SMITHING',		'TXT_KEY_DECISIONS_JAR_NAVAJO_PROMOTE_METALSMITHING',	1);

INSERT INTO Buildings 		
		(Type, 							BuildingClass,					GreatWorkCount,	Cost, 	FaithCost, 	PrereqTech, Description,									MinAreaSize, HurryCostModifier, NeverCapture, IconAtlas,		PortraitIndex, 	  SpecialistType, GreatPeopleRateChange)
VALUES	('BUILDING_PROMOTE_SMITHING',	'BUILDINGCLASS_PROMOTE_SMITHING',		-1,			-1,   		-1,		 NULL,	 'TXT_KEY_DECISIONS_JAR_NAVAJO_PROMOTE_METALSMITHING',	-1,					-1,	1,	 		'RESOURCE_ATLAS', 	24,			  				NULL,	0),
		('BUILDING_DUMMY_SMITHING',		'BUILDINGCLASS_DUMMY_SMITHING',			-1,			-1,   		-1,		 NULL,	 'TXT_KEY_DECISIONS_JAR_NAVAJO_PROMOTE_METALSMITHING',	-1,					-1,	1,	 		'CITIZEN_ATLAS', 	4,			  'SPECIALIST_ARTIST',	1);

INSERT INTO Building_ResourceYieldChanges
		(BuildingType,					ResourceType,		YieldType,		Yield)
SELECT	'BUILDING_PROMOTE_SMITHING',	'RESOURCE_COPPER',	'YIELD_GOLD',		1 UNION ALL
SELECT	'BUILDING_PROMOTE_SMITHING',	'RESOURCE_COPPER',	'YIELD_PRODUCTION',	1 UNION ALL
SELECT	'BUILDING_PROMOTE_SMITHING',	'RESOURCE_GEMS',	'YIELD_GOLD',		1 UNION ALL
SELECT	'BUILDING_PROMOTE_SMITHING',	'RESOURCE_GEMS',	'YIELD_PRODUCTION',	1 UNION ALL
SELECT	'BUILDING_PROMOTE_SMITHING',	'RESOURCE_GOLD',	'YIELD_GOLD',		1 UNION ALL
SELECT	'BUILDING_PROMOTE_SMITHING',	'RESOURCE_GOLD',	'YIELD_PRODUCTION',	1 UNION ALL
SELECT	'BUILDING_PROMOTE_SMITHING',	'RESOURCE_PEARLS',	'YIELD_GOLD',		1 UNION ALL
SELECT	'BUILDING_PROMOTE_SMITHING',	'RESOURCE_PEARLS',	'YIELD_PRODUCTION',	1 UNION ALL
SELECT	'BUILDING_PROMOTE_SMITHING',	'RESOURCE_SILVER',	'YIELD_GOLD',		1 UNION ALL
SELECT	'BUILDING_PROMOTE_SMITHING',	'RESOURCE_SILVER',	'YIELD_PRODUCTION',	1 UNION ALL
SELECT	'BUILDING_PROMOTE_SMITHING',	'RESOURCE_AMBER',	'YIELD_GOLD',		1 WHERE EXISTS (SELECT * FROM Resources WHERE Type='RESOURCE_AMBER') UNION ALL
SELECT	'BUILDING_PROMOTE_SMITHING',	'RESOURCE_AMBER',	'YIELD_PRODUCTION',	1 WHERE EXISTS (SELECT * FROM Resources WHERE Type='RESOURCE_AMBER') UNION ALL
SELECT	'BUILDING_PROMOTE_SMITHING',	'RESOURCE_JADE',	'YIELD_GOLD',		1 WHERE EXISTS (SELECT * FROM Resources WHERE Type='RESOURCE_JADE') UNION ALL
SELECT	'BUILDING_PROMOTE_SMITHING',	'RESOURCE_JADE',	'YIELD_PRODUCTION',	1 WHERE EXISTS (SELECT * FROM Resources WHERE Type='RESOURCE_JADE') UNION ALL
SELECT	'BUILDING_PROMOTE_SMITHING',	'RESOURCE_LAPIS',	'YIELD_GOLD',		1 WHERE EXISTS (SELECT * FROM Resources WHERE Type='RESOURCE_LAPIS') UNION ALL
SELECT	'BUILDING_PROMOTE_SMITHING',	'RESOURCE_LAPIS',	'YIELD_PRODUCTION',	1 WHERE EXISTS (SELECT * FROM Resources WHERE Type='RESOURCE_LAPIS');
------------------------------------------------------------
-- UnitPromotions
------------------------------------------------------------
INSERT INTO UnitPromotions 
			(Type, 							Description, 						 Help, 										Sound, 			LostWithUpgrade, OrderPriority, FreePillageMoves,CannotBeChosen,	PortraitIndex, 	IconAtlas,			PediaType, 			PediaEntry)
VALUES		('PROMOTION_RAID_NEIGHBORS',	'TXT_KEY_PROMOTION_RAID_NEIGHBORS',	 'TXT_KEY_PROMOTION_RAID_NEIGHBORS_HELP',	'AS2D_IF_LEVELUP',	0,				 0, 					1,				1,		3, 			'promoNavajo_atlas', 	'PEDIA_ATTRIBUTES', 'TXT_KEY_PROMOTION_RAID_NEIGHBORS');

INSERT INTO UnitPromotions_UnitCombats
		(PromotionType, 				UnitCombatType)
VALUES	('PROMOTION_RAID_NEIGHBORS',	'UNITCOMBAT_MELEE'),
		('PROMOTION_RAID_NEIGHBORS',	'UNITCOMBAT_GUN'),
--		('PROMOTION_RAID_NEIGHBORS',	'UNITCOMBAT_RECON'),
		('PROMOTION_RAID_NEIGHBORS',	'UNITCOMBAT_MOUNTED');

INSERT INTO UnitPromotions_Terrains
		(PromotionType,				TerrainType,	Attack, Defense, DoubleMove)
VALUES 	('PROMOTION_RAID_NEIGHBORS', 'TERRAIN_DESERT', 10,	10, 	0),
		('PROMOTION_RAID_NEIGHBORS', 'TERRAIN_PLAINS', 10,	10, 	0);
		
INSERT INTO UnitPromotions 
		(Type, 						Description, 				 Help, 									Sound, 			LostWithUpgrade, OrderPriority, FreePillageMoves, RivalTerritory,	CannotBeChosen,	PortraitIndex, 	IconAtlas,			PediaType, 			PediaEntry)
VALUES	('PROMOTION_NAABAAHII',	 'TXT_KEY_PROMOTION_NAABAAHII',	 'TXT_KEY_PROMOTION_NAABAAHII_HELP',	'AS2D_IF_LEVELUP',	1,				 0, 					1,				1,		1,				2, 			'promoNavajo_atlas', 	'PEDIA_ATTRIBUTES', 'TXT_KEY_PROMOTION_NAABAAHII');
------------------------------------------------------------
-- Units
------------------------------------------------------------
INSERT INTO UnitClasses
		(Type,						Description,					DefaultUnit )
SELECT	'UNITCLASS_JAR_NAABAAHII', 'TXT_KEY_UNIT_JAR_NAABAAHII', 'UNIT_JAR_NAABAAHII';

INSERT INTO Units
		(Type, 					Class,						Cost, Range, BaseSightRange, PrereqTech,Combat,	RangedCombat, Moves, FaithCost,	CombatClass, MilitarySupport, MilitaryProduction, Domain, Pillage, IgnoreBuildingDefense, GoodyHutUpgradeUnitClass,	RivalTerritory, RangeAttackIgnoreLOS, RangedCombatLimit, XPValueAttack, XPValueDefense, Conscription,  DefaultUnitAI, Description, 						Civilopedia, 								Help, 								Strategy,									AdvancedStartCost,	UnitArtInfo,				UnitFlagIconOffset,	UnitFlagAtlas,			PortraitIndex, 	IconAtlas)
SELECT	'UNIT_JAR_NAABAAHII',	'UNITCLASS_JAR_NAABAAHII',	-1,  2, 	 BaseSightRange, null,			24,			  24, Moves,	-1,		CombatClass, MilitarySupport, MilitaryProduction, Domain, Pillage, IgnoreBuildingDefense, 'UNITCLASS_CAVALRY',		RivalTerritory, RangeAttackIgnoreLOS, RangedCombatLimit, XPValueAttack, XPValueDefense, Conscription,  'UNITAI_RANGED', ('TXT_KEY_UNIT_JAR_NAABAAHII'),	('TXT_KEY_UNIT_CIV5_JAR_NAABAAHII_TEXT'), 	'TXT_KEY_UNIT_JAR_NAABAAHII_HELP', 	('TXT_KEY_UNIT_JAR_NAABAAHII_STRATEGY'),	AdvancedStartCost, 	'ART_DEF_UNIT_JAR_NAABAAHII',  0,				'UNIT_JAR_NAABAAHII_FLAG',	9, 		'JAR_NAVAJO_ICON_ATLAS'
FROM Units WHERE (Type = 'UNIT_HUN_HORSE_ARCHER');
------------------------------------------------------------
-- UnitGameplay2DScripts
------------------------------------------------------------
INSERT INTO UnitGameplay2DScripts
			(UnitType, 					SelectionSound, FirstSelectionSound)
SELECT		('UNIT_JAR_NAABAAHII'), 	SelectionSound, FirstSelectionSound
FROM UnitGameplay2DScripts WHERE (UnitType = 'UNIT_HUN_HORSE_ARCHER');
------------------------------------------------------------
-- Unit_AITypes
------------------------------------------------------------
INSERT INTO Unit_AITypes
		(UnitType, UnitAIType)
SELECT 'UNIT_JAR_NAABAAHII', 'UNITAI_RANGED'
FROM Unit_AITypes WHERE (UnitType = 'UNIT_HUN_HORSE_ARCHER');

INSERT INTO Unit_AITypes
		(UnitType, UnitAIType)
SELECT 'UNIT_JAR_NAABAAHII', 'UNITAI_COUNTER'
FROM Unit_AITypes WHERE (UnitType = 'UNIT_HUN_HORSE_ARCHER');
------------------------------------------------------------
-- Unit_ClassUpgrades
------------------------------------------------------------
INSERT INTO Unit_ClassUpgrades
		(UnitType,			 UnitClassType)
VALUES	('UNIT_JAR_NAABAAHII', 'UNITCLASS_CAVALRY');
------------------------------------------------------------
-- Unit_Flavors
------------------------------------------------------------
INSERT INTO Unit_Flavors
		(UnitType, FlavorType, Flavor)
VALUES	('UNIT_JAR_NAABAAHII', 'FLAVOR_OFFENSE', '10'),
		('UNIT_JAR_NAABAAHII', 'FLAVOR_MOBILE', '11'),
		('UNIT_JAR_NAABAAHII', 'FLAVOR_RANGED', '9');
------------------------------------------------------------
-- Unit_FreePromotions
------------------------------------------------------------
INSERT INTO Unit_FreePromotions 	
		(UnitType, 					PromotionType)
VALUES	('UNIT_JAR_NAABAAHII', 	'PROMOTION_NAABAAHII'),
		('UNIT_JAR_NAABAAHII', 	'PROMOTION_NO_DEFENSIVE_BONUSES'),
		('UNIT_JAR_NAABAAHII', 	'PROMOTION_ONLY_DEFENSIVE'),
		('UNIT_JAR_NAABAAHII', 	'PROMOTION_CAN_MOVE_AFTER_ATTACKING'),
		('UNIT_JAR_NAABAAHII', 	'PROMOTION_CITY_PENALTY');
--==========================================================================================================================
-- RESOURCES
--==========================================================================================================================
INSERT INTO Resources 
			(Type,				TechReveal,		TechCityTrade, 		Description,					Civilopedia, 								Help,									ResourceClassType, 		ArtDefineTag, 					CivilizationType,		OnlyMinorCivs,  Happiness,  IconString, 		PortraitIndex, 	IconAtlas)
VALUES		('RESOURCE_JAR_DIYOGI',	null,			null,			'TXT_KEY_RESOURCE_JAR_DIYOGI',	'TXT_KEY_CIV5_RESOURCE_JAR_DIYOGI_TEXT',	'TXT_KEY_RESOURCE_MONOPOLY_JAR_DIYOGI',	'RESOURCECLASS_LUXURY',	'ART_DEF_RESOURCE_JAR_DIYOGI',	'CIVILIZATION_JAR_NAVAJO',	0,				4,		'[ICON_RES_JAR_DIYOGI]',	8, 		'JAR_NAVAJO_ICON_ATLAS');
------------------------------
-- Resource_YieldChanges
------------------------------
INSERT INTO Resource_YieldChanges 	
			(ResourceType, 				YieldType, 			Yield)
VALUES		('RESOURCE_JAR_DIYOGI',		'YIELD_PRODUCTION',		1);
------------------------------
-- Resource_Flavors
------------------------------
INSERT INTO Resource_Flavors 	
		(ResourceType, 			FlavorType, 				Flavor)
VALUES	('RESOURCE_JAR_DIYOGI',	'FLAVOR_GOLD',				10),
		('RESOURCE_JAR_DIYOGI',	'FLAVOR_PRODUCTION',		10),
		('RESOURCE_JAR_DIYOGI',	'FLAVOR_CULTURE',			10);
--==========================================================================================================================
-- ARTDEFINES
--==========================================================================================================================	
------------------------------	
-- ArtDefine_StrategicView
------------------------------		
INSERT INTO ArtDefine_StrategicView
			(StrategicViewType, 				TileType, 		Asset)
VALUES 		('ART_DEF_RESOURCE_JAR_DIYOGI', 	'Resource', 	'IconDiyogi_256sv.dds');
------------------------------	
-- ArtDefine_LandmarkTypes
------------------------------
INSERT INTO ArtDefine_LandmarkTypes
			(Type, 							LandmarkType, 	FriendlyName)
VALUES 		('ART_DEF_RESOURCE_JAR_DIYOGI', 	'Resource', 'JAR_NAVAJO_DIYOGI');
------------------------------
-- ArtDefine_Landmarks
------------------------------
INSERT INTO ArtDefine_Landmarks
			(Era, 			State, 					Scale, 	ImprovementType, 					LayoutHandler, 	ResourceType, 						Model, 										TerrainContour,	Tech)
SELECT		 Era, 			State, 					Scale, 	ImprovementType, 					LayoutHandler, 	'ART_DEF_RESOURCE_JAR_DIYOGI', 		Model, 										TerrainContour,	Tech
FROM ArtDefine_Landmarks WHERE ResourceType = 'ART_DEF_RESOURCE_WINE';
--==========================================================================================================================
-- FONT ICONS
--==========================================================================================================================
------------------------------
-- IconFontTextures
------------------------------
INSERT INTO IconFontTextures 
		(IconFontTexture, 						IconFontTextureFile)
VALUES	('ICON_FONT_TEXTURE_JAR_DIYOGI', 		'Diyogi_FontIcons');
------------------------------
-- IconFontMapping
------------------------------
INSERT INTO IconFontMapping 
		(IconName, 				IconFontTexture,				IconMapping)
VALUES	('ICON_RES_JAR_DIYOGI', 	'ICON_FONT_TEXTURE_JAR_DIYOGI',	1);
--==========================================================================================================================
-- IMPROVEMENTS
--==========================================================================================================================
-- Improvements
------------------------------
INSERT INTO Improvement_ResourceTypes
			(ResourceType, 			ImprovementType)
VALUES		('RESOURCE_JAR_DIYOGI',	'IMPROVEMENT_PLANTATION');
------------------------------
-- Improvement_ResourceType_Yields
------------------------------
INSERT INTO Improvement_ResourceType_Yields
		(ResourceType, 			ImprovementType,			YieldType,			Yield)
VALUES	('RESOURCE_JAR_DIYOGI',	'IMPROVEMENT_PLANTATION',	'YIELD_CULTURE',	1),
		('RESOURCE_JAR_DIYOGI',	'IMPROVEMENT_PLANTATION', 	'YIELD_FAITH',		1);
--==========================================================================================================================
--==========================================================================================================================
-- JFD CIVILOPEDIA
--==========================================================================================================================
-- JFD_Civilopedia_HideFromPedia
--------------------------------------------------------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
JFD_Civilopedia_HideFromPedia (Type text default null);

--Any items entered into this table will not show into the Civilopedia. There is no technical limitation as to what can be hidden (I think).
--INSERT INTO JFD_Civilopedia_HideFromPedia
--		(Type)
--VALUES	('BUILDING_JAR_BLESSING1');
--=======================================================================================================================
-- BINGLES CIV IV TRAITS
--=======================================================================================================================
--List of traits: https://forums.civfanatics.com/threads/civ-iv-traits-in-civ-v.530701/
------------------------------
-- Leader_SharedTraits
------------------------------	
CREATE TABLE IF NOT EXISTS 
    Leader_SharedTraits (
    LeaderType          text    REFERENCES Leaders(Type)        default null,
    TraitOne            text    REFERENCES Policies(Type)       default null,
    TraitTwo            text    REFERENCES Policies(Type)       default null);
     
INSERT INTO Leader_SharedTraits
        (LeaderType,            	TraitOne,                TraitTwo)
SELECT  'LEADER_JAR_MANUELITO',		'POLICY_CHARISMATIC_X',	 'POLICY_PROTECTIVE_X'
WHERE EXISTS (SELECT * FROM Policies WHERE Type = 'POLICY_PHILOSOPHICAL_X');
------------------------------	
-- Leaders
------------------------------	
UPDATE Leaders 
SET Description = 'Manuelito [ICON_HAPPINESS_1][ICON_STRENGTH]'
WHERE Type = 'LEADER_JAR_MANUELITO'
AND EXISTS (SELECT * FROM Policies WHERE Type = 'POLICY_PHILOSOPHICAL_X');
--==========================================================================================================================
-- GEDEMON R.E.D.
--==========================================================================================================================
-- Civilizations
------------------------------	
UPDATE Civilizations SET ArtStyleSuffix = 
	( CASE WHEN EXISTS(SELECT ArtStyleSuffix FROM Civilizations WHERE ArtStyleSuffix = "_SHOSHONE")
		THEN "_SHOSHONE"
		ELSE "_AMER" END
	) WHERE Type = "CIVILIZATION_JAR_NAVAJO";
--==========================================================================================================================
-- Hazel's Map Labels
--==========================================================================================================================
-- ML_CivCultures
------------------------------	
CREATE TABLE IF NOT EXISTS ML_CivCultures (ID INTEGER PRIMARY KEY AUTOINCREMENT, CivType TEXT, CultureType TEXT, CultureEra TEXT DEFAULT 'ANY');
INSERT INTO ML_CivCultures
		(CivType,							CultureType,	CultureEra)
SELECT	('CIVILIZATION_JAR_NAVAJO'),		CultureType,	CultureEra
FROM ML_CivCultures WHERE CivType = 'CIVILIZATION_SHOSHONE';
--==========================================================================================================================
-- JFD's CULTURAL DIVERSITY (31a31d1c-b9d7-45e1-842c-23232d66cd47)
--==========================================================================================================================
-- Civilization_JFD_CultureTypes
-------------------------------------   
CREATE TABLE IF NOT EXISTS 
Civilization_JFD_CultureTypes(
	CivilizationType 					text 			default null,
	CultureType 						text			default null,
	SubCultureType 						text			default null,
	ArtDefineTag						text			default	null,
	DecisionsTag						text			default null,
	DefeatScreenEarlyTag				text			default	null,
	DefeatScreenMidTag					text			default	null,
	DefeatScreenLateTag					text			default	null,
	IdealsTag							text			default	null,
	SplashScreenTag						text			default	null,
	SoundtrackTag						text			default	null,
	UnitDialogueTag						text			default null);

INSERT INTO Civilization_JFD_CultureTypes
		(CivilizationType,					ArtDefineTag, CultureType, SubCultureType, DecisionsTag, IdealsTag, SplashScreenTag, SoundtrackTag, UnitDialogueTag)
SELECT	'CIVILIZATION_JAR_NAVAJO',			ArtDefineTag, CultureType, SubCultureType, DecisionsTag, IdealsTag, SplashScreenTag, SoundtrackTag, UnitDialogueTag
FROM Civilization_JFD_CultureTypes WHERE CivilizationType = 'CIVILIZATION_SHOSHONE';

UPDATE Civilizations 
SET SoundtrackTag = 'JFD_TribalAmerican'
WHERE Type = 'CIVILIZATION_JAR_NAVAJO'
AND EXISTS (SELECT * FROM Civilization_JFD_CultureTypes WHERE SoundtrackTag = 'JFD_TribalAmerican');

--==========================================================	
-- INVENTIONS 
--==========================================================	
-- Civilization_JFD_Inventions
------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS 
	Civilization_JFD_Inventions (
	CivilizationType  											text 	REFERENCES Civilizations(Type) 				default null,
	InventionType  												text 		 										default null,
	InventionPreference											text 		 										default null);
	
INSERT INTO Civilization_JFD_Inventions
		(CivilizationType, 					InventionType, 				InventionPreference)
SELECT	'CIVILIZATION_JAR_NAVAJO',			InventionType, 				InventionPreference	
FROM Civilization_JFD_Inventions WHERE CivilizationType = 'CIVILIZATION_SHOSHONE';
--==========================================================================================================================
-- JFD's CITIES IN DEVELOPMENT (10e9728f-d61c-4317-be4f-7d52d6bae6f4)
--==========================================================================================================================
-- BuildingClass_ConstructionAudio
------------------------------------------------------------
CREATE TABLE IF NOT EXISTS
BuildingClass_ConstructionAudio (
    BuildingClassType                           text    REFERENCES BuildingClasses(Type)        default null,
    ConstructionAudio                           text                                            default null);

--The following will override any entries for the above.
CREATE TABLE IF NOT EXISTS
Building_ConstructionAudio (
    BuildingType                                text    REFERENCES Buildings(Type)              default null,
    ConstructionAudio                           text                                            default null);
  
--If you wish to add your own unique sounds, the beginning Jingle can be found here:
--https://www.dropbox.com/s/p5llo4y55ym4toa/StarterSfx.wav?dl=0
--==========================================================	
-- COLONIES 
--==========================================================	
-- Civilization_JFD_ColonialCityNames
------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS 
Civilization_JFD_ColonialCityNames (
    CivilizationType                            text    REFERENCES Civilizations(Type)      default null,
    ColonyName                                  text                                        default null,
    LinguisticType                              text                                        default null,
    CultureType                                 text                                        default null);
/*
JFD_Germanic, JFD_Latinate, JFD_Tai_Khmer, JFD_Austronesian, JFD_Arabic, JFD_Slavic, JFD_Mesopotamian, JFD_Mesoamerican, JFD_Oriental,
JFD_Finno_Ugric, JFD_Semitic, JFD_Hellenic, JFD_Bantu, JFD_Songhay, JFD_Indo_Iranian, JFD_Altaic, JFD_Celtic, JFD_NorthAmerican, JFD_Quechumaran
*/
INSERT INTO Civilization_JFD_ColonialCityNames
        (CivilizationType,                  ColonyName,   LinguisticType)
SELECT	'CIVILIZATION_JAR_NAVAJO',			null,  		  LinguisticType
FROM Civilization_JFD_ColonialCityNames WHERE CivilizationType= 'CIVILIZATION_SHOSHONE';

INSERT INTO Civilization_JFD_ColonialCityNames
        (CivilizationType,          	ColonyName,                         LinguisticType)
VALUES  ('CIVILIZATION_JAR_NAVAJO',		'TXT_KEY_COLONY_NAME_NAVAJO_01',	null),
		('CIVILIZATION_JAR_NAVAJO',		'TXT_KEY_COLONY_NAME_NAVAJO_02',	null),
		('CIVILIZATION_JAR_NAVAJO',		'TXT_KEY_COLONY_NAME_NAVAJO_03',	null),
		('CIVILIZATION_JAR_NAVAJO',		'TXT_KEY_COLONY_NAME_NAVAJO_04',	null),
		('CIVILIZATION_JAR_NAVAJO',		'TXT_KEY_COLONY_NAME_NAVAJO_05',	null),
		('CIVILIZATION_JAR_NAVAJO',		'TXT_KEY_COLONY_NAME_NAVAJO_06',	null),
		('CIVILIZATION_JAR_NAVAJO',		'TXT_KEY_COLONY_NAME_NAVAJO_07',	null),
		('CIVILIZATION_JAR_NAVAJO',		'TXT_KEY_COLONY_NAME_NAVAJO_08',	null),
		('CIVILIZATION_JAR_NAVAJO',		'TXT_KEY_COLONY_NAME_NAVAJO_09',	null),
		('CIVILIZATION_JAR_NAVAJO',		'TXT_KEY_COLONY_NAME_NAVAJO_10',	null);
------------------------------------------------------------		
-- Flavors
------------------------------------------------------------	
INSERT OR REPLACE INTO Flavors 
		(Type)
VALUES	('FLAVOR_JFD_DECOLONIZATION');
------------------------------------------------------------
-- Leader_Flavors
------------------------------------------------------------	
--A value of 0-10 may be set. This value determines the proclivity a civ has toward annexing a colony, where 0 means never, and 10 means as soon as possible.
INSERT INTO Leader_Flavors
		(LeaderType,					FlavorType,					Flavor)
VALUES	('LEADER_JAR_MANUELITO',	'FLAVOR_JFD_DECOLONIZATION',	10);
--==========================================================	
-- PROVINCES 
--==========================================================	
-- Civilization_JFD_ProvinceTitles
------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS 
	Civilization_JFD_ProvinceTitles (
	CivilizationType  				text 		REFERENCES Civilizations(Type) 					default null,
	ReligionType  					text 		REFERENCES Religions(Type) 						default null, -- ignore this
	DefaultTitle					text 		 												default null,
	UniqueTitle						text 		 												default null,
	UseAdjective					boolean														default 0);	

--This is an example of support which copies all attributes from an existing civ (i.e. Denmark). For the most part, this is probably all you'll need; just change 'CIVILIZATION_JFD_SCOTLAND' to the
--tag of your custom civ. 
INSERT INTO Civilization_JFD_ProvinceTitles
		(CivilizationType,					DefaultTitle, UniqueTitle, UseAdjective)
SELECT	'CIVILIZATION_JAR_NAVAJO',			DefaultTitle, UniqueTitle, UseAdjective
FROM Civilization_JFD_ProvinceTitles WHERE CivilizationType = 'CIVILIZATION_SHOSHONE';
--==========================================================	
-- SLAVERY 
--==========================================================	
-- Flavors
------------------------------------------------------------	
INSERT OR REPLACE INTO Flavors 
		(Type)
VALUES	('FLAVOR_JFD_SLAVERY');
------------------------------------------------------------
-- Leader_Flavors
------------------------------------------------------------  
--A value of 0-10 may be set. This value determines the proclivity a civ has toward enslaving a captured city and toward spending Slavery on Units.
INSERT INTO Leader_Flavors
        (LeaderType,            		FlavorType,                 Flavor)
VALUES  ('LEADER_JAR_MANUELITO',	'FLAVOR_JFD_SLAVERY',       3);  
--==========================================================================================================================
-- EXPLORATION CONTINUED EXPANDED
--==========================================================================================================================
--PROMOTION_JFD_SNOW_IMMUNITY, PROMOTION_JFD_DESERT_IMMUNITY, PROMOTION_JFD_DISEASE_IMMUNITY, PROMOTION_JFD_JUNGLE_IMMUNITY, PROMOTION_JFD_SCUVRY_IMMUNITY
--==========================================================================================================================    
-- MERCENARIES
--==========================================================================================================================
-- Flavors
------------------------------------------------------------    
INSERT OR REPLACE INTO Flavors 
        (Type)
VALUES  ('FLAVOR_JFD_MERCENARY');
------------------------------------------------------------
-- Leader_Flavors
------------------------------------------------------------    
--A value of 0-10 may be set. This value determines the likelihood that a leader will take out Mercenary Contracts (provided they have the funds).
--A value of 10 means this civilization will always take a Contract if available. A value of 0 means this civilization will never take out a contract.
INSERT INTO Leader_Flavors
        (LeaderType,					FlavorType,					Flavor)
VALUES  ('LEADER_JAR_MANUELITO',	'FLAVOR_JFD_MERCENARY',		6); 
--==========================================================================================================================    
-- PIETY
--==========================================================================================================================
--- Flavors
------------------------------------------------------------    
INSERT OR REPLACE INTO Flavors 
		(Type)
VALUES	('FLAVOR_JFD_RELIGIOUS_INTOLERANCE'),
		('FLAVOR_JFD_STATE_RELIGION');
------------------------------------------------------------
-- Leader_Flavors
------------------------------------------------------------    
--A value of 1-12 may be set. This value determines the diplomatic penalty/bonus with civilizations of a different/same state religion
--A value higher than 9 means this civilization will never secularise. A value of 0 means this civilization has no interest in State Religion.
INSERT INTO Leader_Flavors
        (LeaderType,					FlavorType,                             Flavor)
VALUES  ('LEADER_JAR_MANUELITO',	'FLAVOR_JFD_RELIGIOUS_INTOLERANCE',     3),
		('LEADER_JAR_MANUELITO',	'FLAVOR_JFD_STATE_RELIGION',			6);
--==========================================================	
-- SOVEREIGNTY
--==========================================================
-- Civilization_JFD_Governments
------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
    Civilization_JFD_Governments (
    CivilizationType                text        REFERENCES Civilizations(Type)                  default null,
    CultureType                     text                                                        default null,
    LegislatureName                 text                                                        default null,
    OfficeTitle                     text                                                        default null,
    GovernmentType                  text                                                        default null,
    Weight                          integer                                                     default 0);
 
INSERT INTO Civilization_JFD_Governments
        (CivilizationType,					LegislatureName,	OfficeTitle,	GovernmentType,	Weight)
SELECT	'CIVILIZATION_JAR_NAVAJO',			LegislatureName,	OfficeTitle,	GovernmentType,	Weight
FROM Civilization_JFD_Governments WHERE CivilizationType = 'CIVILIZATION_SHOSHONE';
------------------------------------------------------------	
-- Civilization_JFD_HeadsOfGovernment	
------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS 	
	Civilization_JFD_HeadsOfGovernment (	
	CivilizationType  											text 	REFERENCES Civilizations(Type) 				default null,
	HeadOfGovernmentName										text 	 											default null);

INSERT INTO Civilization_JFD_HeadsOfGovernment
        (CivilizationType,      			HeadOfGovernmentName)
SELECT	'CIVILIZATION_JAR_NAVAJO',			HeadOfGovernmentName
FROM Civilization_JFD_HeadsOfGovernment WHERE CivilizationType = 'CIVILIZATION_SHOSHONE';
------------------------------------------------------------
-- Civilization_JFD_Titles
------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
	Civilization_JFD_Titles (
	CivilizationType  											text 	REFERENCES Civilizations(Type) 				default null,
	ReligionType												text 	REFERENCES Religions(Type) 					default null,
	DefaultTitle												text 		 										default null,
	UniqueTitle													text 		 										default null,
	UseAdjective												boolean												default 0);	

INSERT INTO Civilization_JFD_Titles
		(CivilizationType,					DefaultTitle,									UniqueTitle)
SELECT	'CIVILIZATION_JAR_NAVAJO',			DefaultTitle,									UniqueTitle
FROM Civilization_JFD_Titles WHERE CivilizationType = 'CIVILIZATION_SHOSHONE';
 ------------------------------------------------------------
-- JFD_PrivyCouncillor_UniqueNames
------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
	JFD_PrivyCouncillor_UniqueNames (
	PrivyCouncillorType  				text 										 	default null,
	PolicyType  						text 	REFERENCES Policies(Type) 				default null,
	CivilizationType					text	REFERENCES Civilizations(Type) 			default	null,
	CultureType							text											default	null,
	GovernmentType  					text 	 										default null,
	ReligionType						text	REFERENCES Religions(Type) 				default	null,
	UniqueName							text											default	null);

--This table handles all unique Privy Councillor titles. Note that Chaplain titles will override religion-specific ones.	
INSERT INTO JFD_PrivyCouncillor_UniqueNames	
		(PrivyCouncillorType,				CivilizationType,							UniqueName)
SELECT	PrivyCouncillorType,				'CIVILIZATION_JAR_NAVAJO',					UniqueName
FROM JFD_PrivyCouncillor_UniqueNames WHERE CivilizationType = 'CIVILIZATION_SHOSHONE';
------------------------------------------------------------
-- Civilization_JFD_Politics
------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
	Civilization_JFD_Politics (
	CivilizationType  					text 		REFERENCES Civilizations(Type) 					default null,
	PoliticsType  						text 														default null,
	UniqueName							text														default	null);

INSERT INTO Civilization_JFD_Politics
		(CivilizationType,					PoliticsType, 				UniqueName)
SELECT	'CIVILIZATION_JAR_NAVAJO',			PoliticsType, 				UniqueName
FROM Civilization_JFD_Politics WHERE CivilizationType = 'CIVILIZATION_SHOSHONE';
------------------------------------------------------------
-- Flavors
------------------------------------------------------------    
INSERT OR REPLACE INTO Flavors 
		(Type)
VALUES	('FLAVOR_JFD_REFORM_GOVERNMENT'),
		('FLAVOR_JFD_REFORM_LEGAL'),
		('FLAVOR_JFD_REFORM_CULTURE'),
		('FLAVOR_JFD_REFORM_ECONOMIC'),
		('FLAVOR_JFD_REFORM_FOREIGN'),
		('FLAVOR_JFD_REFORM_INDUSTRY'),
		('FLAVOR_JFD_REFORM_MILITARY'),
		('FLAVOR_JFD_REFORM_RELIGION');
------------------------------------------------------------
-- Leader_Flavors
------------------------------------------------------------    
--Each flavour corresponds to one of the seven Reform Categories, and how likely a civ is to take a reform in either the Right, Centre, or Left column.
--A value of 1-3 will favour Left Reforms. A value of 4-6 will value Centre Reforms. A value of 7-10 will value Right Reforms. The strength of the value will determine how soon a Leader will implement that Reform.
INSERT INTO Leader_Flavors
        (LeaderType,						FlavorType,                         Flavor)
VALUES  ('LEADER_JAR_MANUELITO',		'FLAVOR_JFD_REFORM_GOVERNMENT',     4),
		('LEADER_JAR_MANUELITO',		'FLAVOR_JFD_REFORM_LEGAL',			5),
        ('LEADER_JAR_MANUELITO',		'FLAVOR_JFD_REFORM_CULTURE',        2),
        ('LEADER_JAR_MANUELITO',		'FLAVOR_JFD_REFORM_ECONOMIC',       3),
        ('LEADER_JAR_MANUELITO',		'FLAVOR_JFD_REFORM_FOREIGN',        6),
        ('LEADER_JAR_MANUELITO',		'FLAVOR_JFD_REFORM_INDUSTRY',       4),
        ('LEADER_JAR_MANUELITO',		'FLAVOR_JFD_REFORM_MILITARY',       7),
        ('LEADER_JAR_MANUELITO',		'FLAVOR_JFD_REFORM_RELIGION',       2);
--------------------------------------------------------------------------------------------------------------------------
-- Leader_JFD_Reforms
--------------------------------------------------------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
	Leader_JFD_Reforms (
	LeaderType  												text 	REFERENCES Leaders(Type) 				default	null,
	ReformType													text											default	null);
--==========================================================================================================================
-- TOMATEKH'S HISTORICAL RELIGIONS
--==========================================================================================================================
-- Civilization_Religions
------------------------------------------------------------
INSERT INTO Religions 
		(Type,					Description,					Civilopedia,					 	IconAtlas,	 			PortraitIndex,	IconString)						   
SELECT	'RELIGION_DINEBAHANE',	'TXT_KEY_RELIGION_DINEBAHANE',	'TXT_KEY_RELIGION_DINEBAHANE_PEDIA',	'RELIGION_ATLAS_DINEBAHANE',	0,	'[ICON_RELIGION_DINEBAHANE]' WHERE EXISTS (SELECT * FROM Religions WHERE Type='RELIGION_IMPERIAL_CULT');

INSERT INTO Language_en_US	(Tag, Text)
VALUES	('TXT_KEY_RELIGION_DINEBAHANE', 'Diné Bahaneʼ'),
		('TXT_KEY_RELIGION_DINEBAHANE_PEDIA', 'Diné Bahaneʼ ("Story of the People"), the Navajo creation story, describes the prehistoric emergence of the Navajos, and centers on the area known as the Dinétah, the traditional homeland of the Navajo people. This story forms the basis for the traditional Navajo way of life.
		[NEWLINE] The basic outline of Diné Bahaneʼ begins with the Niłchiʼ Diyin (Holy Wind) being created, the mists of lights which arose through the darkness to animate and bring purpose to the myriad Diyin Dineʼé (Holy People), supernatural and sacred in the different three lower worlds. All these things were spiritually created in the time before the earth existed and the physical aspect of humans did not exist yet, but the spiritual did.
		[NEWLINE] The First World, which was black, was small and centered on an island floating in a the middle of four seas. The inhabitants of the first world were Diyin Dineʼé, Coyote, mist beings and various insect people. The supernatural beings First Woman and First Man came into existence here and met for the first time after seeing each other''s fire. The various beings started fighting with one another and departed by flying out an opening in the east.
		[NEWLINE] They journeyed to the Second World, Niʼ Hodootlʼizh, which was blue and was inhabited by various blue-gray furred mammals and various birds, including blue swallows. The beings from the First World offended Swallow Chief, Tʼash Jíshi, and they were asked to leave. First Man created a wand of jet and other materials to allow the people to walk upon it up into the next world through an opening in the south.
		[NEWLINE] In the Third World, Niʼ Hałtsooí, which was yellow and there were two rivers that formed a cross and the Sacred Mountains but there was still no sun. More animal people lived here too. This time it was not discord among the people that drove them away but a great flood caused by Tééhoołtsódii when Coyote stole her child.
		[NEWLINE] When the people arrived in The Fourth World, Niʼ Hodisxǫs, which was white, they saw that they were on an island in the middle of a bubbling lake, surrounded by high cliffs . At first the people could not find a way to get across the water to the shore. They called on Baptizer God to help them. He had brought four great stones with him from the Third World. He threw one to the east. When it hit the cliff wall, it broke a hole through it, and water began to flow out of the lake. He threw a stone to the south. He threw one to the west. And to the north he threw one. Each stone created a hole in the cliff, and the water of the lake became lower. A lane now connected the island to the shore to the east, but it was deep with mud. The people called on Níòchʼi dilkooh, Smooth Wind, to help them. He blew steadily for a long time, and finally the people were able to leave the island.
		[NEWLINE] The Sacred Mountains were re-formed from soil taken from the original mountains in the Second World. First Man, First Woman, and the Holy People created the sun, moon, seasons, and stars. It was here that true death came into existence via Coyote tossing a stone into a lake and declaring that if it sank then the dead would go back to the previous world.
		[NEWLINE] The first human born in the Fourth World is Asdzaa Nádleehé who, in turn, gives birth to the Hero Twins called Naayééʼ Neizghání and Tóbájíshchíní. The twins have many adventures in which they helped to rid the world of various monsters. Multiple batches of modern humans were created a number of times in the Fourth World and the Diyin Dineʼé gave them ceremonies which are still practiced today.');
/*		
DELETE FROM Civilization_Religions WHERE CivilizationType = 'CIVILIZATION_JAR_NAVAJO';
INSERT INTO Civilization_Religions 
		(CivilizationType,	ReligionType)
SELECT	Type,			('RELIGION_DINEBAHANE')
FROM Civilizations WHERE Type = 'CIVILIZATION_JAR_NAVAJO'; 
*/

UPDATE Civilization_Religions SET ReligionType = 
	( CASE WHEN EXISTS(SELECT Type FROM Religions WHERE Type = 'RELIGION_DINEBAHANE' )
		THEN 'RELIGION_DINEBAHANE'
		ELSE 'RELIGION_CHRISTIANITY' END 
	) WHERE CivilizationType = 'CIVILIZATION_JAR_NAVAJO';

CREATE TRIGGER CivilizationTierNAVAJO
AFTER INSERT ON Civilization_Religions WHEN 'CIVILIZATION_JAR_NAVAJO' = NEW.CivilizationType
BEGIN
	UPDATE Civilization_Religions SET ReligionType = 
		( CASE WHEN EXISTS(SELECT Type FROM Religions WHERE Type = 'RELIGION_DINEBAHANE' )
			THEN 'RELIGION_DINEBAHANE'
			ELSE 'RELIGION_CHRISTIANITY' END 
		) WHERE CivilizationType = 'CIVILIZATION_JAR_NAVAJO';
END;
--==========================================================================================================================
-- TROLLER0001's ADDITIONAL ACHIEVEMENTS
--==========================================================================================================================
-- Achievopedia_Tabs
--------------------------------------------------------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
	Achievopedia_Tabs (
	ID  					integer 		PRIMARY KEY		AUTOINCREMENT,
	Type					text							default	null,
	Header					text							default null,
	Description				text							default	null);

INSERT OR REPLACE INTO Achievopedia_Tabs
		(Type,				Header,								Description)
VALUES	('TAB_JAR_CIVS',	'TXT_KEY_TAB_JAR_CIVS_HEADER',		'TXT_KEY_TAB_JAR_CIVS_DESC');
--------------------------------------------------------------------------------------------------------------------------
-- AdditionalAchievements_Mods
--------------------------------------------------------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
	AdditionalAchievements_Mods (
	ID  					integer 		PRIMARY KEY		AUTOINCREMENT,
	Type					text							default	null,
	ModName					text							default null,
	ModID					text							default	null,	
	Authors					text							default	null);

INSERT INTO AdditionalAchievements_Mods
		(Type,						ModName,								ModID,										Authors)
VALUES	('MOD_JAR_NAVAJO',	'TXT_KEY_MOD_JAR_NAVAJO_NAME',	'TXT_KEY_MOD_JAR_NAVAJO_MODID',	'TXT_KEY_MOD_JAR_NAVAJO_AUTHORS');
--------------------------------------------------------------------------------------------------------------------------
-- AdditionalAchievements
--------------------------------------------------------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
	AdditionalAchievements (
	ID  					integer 		PRIMARY KEY		AUTOINCREMENT,
	Type					text							default	null,
	Achievopedia			text							default null,
	Header					text							default	null,	
	IconAtlas				text							default	null,	
	PortraitIndex			integer							default	0,
	ModType					text							default	null,	
	ModVersion				integer							default	0,
	Unlocked				boolean							default	0,
	LockedIconAtlas			text							default	'CIV_COLOR_ATLAS',
	LockedPortraitIndex		integer							default	23,
	UnlockSound				text							default	'AS2D_INTERFACE_ANCIENT_RUINS',
	PopupDuration			integer							default	-1,
	Hidden					boolean							default	0,
	HiddenBorder			boolean							default	0,
	RequiredCivWin			text							default	null,
	RequiredCivLoss			text							default	null,
	RequiredCivKill			text							default	null);

INSERT INTO AdditionalAchievements
		(Type,								Header,												Achievopedia,			ModType,		ModVersion,		RequiredCivWin,				IconAtlas,				PortraitIndex)
VALUES	('AA_JAR_NAVAJO_SPECIAL',	'TXT_KEY_AA_JAR_NAVAJO_SPECIAL_HEADER',	'TXT_KEY_AA_JAR_NAVAJO_SPECIAL_TEXT',	'MOD_JAR_NAVAJO',	1,				null,					'JAR_NAVAJO_ICON_ATLAS',	 0),
		('AA_JAR_NAVAJO_VICTORY',	'TXT_KEY_AA_JAR_NAVAJO_VICTORY_HEADER',	'TXT_KEY_AA_JAR_NAVAJO_VICTORY_TEXT',	'MOD_JAR_NAVAJO',	1,			'CIVILIZATION_JAR_NAVAJO',	'JAR_NAVAJO_ICON_ATLAS',	 0);
--------------------------------------------------------------------------------------------------------------------------
-- AdditionalAchievements_Tabs
--------------------------------------------------------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
	AdditionalAchievements_Tabs (
	AchievementType			text		default	null,
	TabType					text		default	null);

INSERT OR REPLACE INTO AdditionalAchievements_Tabs
		(AchievementType,					TabType)
VALUES	('AA_JAR_NAVAJO_SPECIAL',	'TAB_JAR_CIVS'),
		('AA_JAR_NAVAJO_VICTORY',	'TAB_JAR_CIVS');
--==========================================================================================================================
-- GEDEMON's YNAEMP (+JFD's v23 / 24 / 25)
--==========================================================================================================================
-- Civilizations_YnAEMP
--------------------------------------------------------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS Civilizations_YnAEMP(CivilizationType, MapPrefix, X, Y, CapitalName, AltX, AltY, AltCapitalName);
INSERT INTO Civilizations_YnAEMP
		(CivilizationType,			MapPrefix,		X,		Y,		AltX,	AltY)
		-- v23/24
VALUES	('CIVILIZATION_JAR_NAVAJO',	'Yagem',		138,	59,		null,	null),
		('CIVILIZATION_JAR_NAVAJO',	'Yahem',		18,		52,		null,	null),
		('CIVILIZATION_JAR_NAVAJO',	'Cordiform',	 8,		35,		null,	null),
		('CIVILIZATION_JAR_NAVAJO',	'GreatestEarth', 9,		42,		null,	null),
		('CIVILIZATION_JAR_NAVAJO',	'Americas',		34,		52,		null,	null),
		('CIVILIZATION_JAR_NAVAJO',	'AmericasGiant', 32,	112,	null,	null),
		('CIVILIZATION_JAR_NAVAJO',	'NorthAmericaGiant', 46, 47,	null,	null),
		('CIVILIZATION_JAR_NAVAJO',	'NorthAmericaHuge', 110,  3,	null,	null),
		('CIVILIZATION_JAR_NAVAJO',	'Pacific',		111,	51,		null,	null),
		-- v25
		('CIVILIZATION_JAR_NAVAJO',	'AtlanticGiant', 37,	84,		null,	null),
		('CIVILIZATION_JAR_NAVAJO',	'EarthMk3',		132,	63,		null,	null);
------------------------------------------------------------
-- Civilizations_YagemStartPosition (Earth Giant)
------------------------------------------------------------
CREATE TABLE IF NOT EXISTS Civilizations_YagemStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_YagemStartPosition (Type, X,	Y) SELECT 'CIVILIZATION_JAR_NAVAJO',	X, Y 
FROM Civilizations_YnAEMP WHERE CivilizationType = 'CIVILIZATION_JAR_NAVAJO' AND MapPrefix = 'Yagem';
------------------------------------------------------------	
-- Civilizations_YagemRequestedResource (Earth Giant)
------------------------------------------------------------
CREATE TABLE IF NOT EXISTS Civilizations_YagemRequestedResource(Type, Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4);
INSERT INTO Civilizations_YagemRequestedResource
			(Type, 									Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4)
SELECT		('CIVILIZATION_JAR_NAVAJO'),			Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4
FROM Civilizations_YagemRequestedResource WHERE Type = 'CIVILIZATION_SHOSHONE';
------------------------------------------------------------
-- Civilizations_YahemStartPosition (Earth Huge)
------------------------------------------------------------
CREATE TABLE IF NOT EXISTS Civilizations_YahemStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_YahemStartPosition (Type, X,	Y) SELECT 'CIVILIZATION_JAR_NAVAJO',	X, Y 
FROM Civilizations_YnAEMP WHERE CivilizationType = 'CIVILIZATION_JAR_NAVAJO' AND MapPrefix = 'Yahem';
------------------------------------------------------------	
-- Civilizations_YahemRequestedResource (Earth Huge)
------------------------------------------------------------
CREATE TABLE IF NOT EXISTS Civilizations_YahemRequestedResource(Type, Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4);
INSERT INTO Civilizations_YahemRequestedResource
			(Type, 									Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4)
SELECT		('CIVILIZATION_JAR_NAVAJO'),			Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4
FROM Civilizations_YahemRequestedResource WHERE Type = 'CIVILIZATION_SHOSHONE';
------------------------------------------------------------
-- Civilizations_CordiformStartPosition (Earth Standard)
------------------------------------------------------------
CREATE TABLE IF NOT EXISTS Civilizations_CordiformStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_CordiformStartPosition (Type, X,	Y) SELECT 'CIVILIZATION_JAR_NAVAJO',	X, Y 
FROM Civilizations_YnAEMP WHERE CivilizationType = 'CIVILIZATION_JAR_NAVAJO' AND MapPrefix = 'Cordiform';
------------------------------------------------------------	
-- Civilizations_CordiformRequestedResource (Earth Standard)
------------------------------------------------------------
CREATE TABLE IF NOT EXISTS Civilizations_CordiformRequestedResource(Type, Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4);
INSERT INTO Civilizations_CordiformRequestedResource
			(Type, 									Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4)
SELECT		('CIVILIZATION_JAR_NAVAJO'),			Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4
FROM Civilizations_CordiformRequestedResource WHERE Type = 'CIVILIZATION_SHOSHONE';
------------------------------------------------------------
-- Civilizations_GreatestEarthStartPosition (Earth Greatest)
------------------------------------------------------------
CREATE TABLE IF NOT EXISTS Civilizations_GreatestEarthStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_GreatestEarthStartPosition (Type, X,	Y) SELECT 'CIVILIZATION_JAR_NAVAJO',	X, Y 
FROM Civilizations_YnAEMP WHERE CivilizationType = 'CIVILIZATION_JAR_NAVAJO' AND MapPrefix = 'GreatestEarth';
------------------------------------------------------------	
-- Civilizations_GreatestEarthRequestedResource (Earth Greatest)
------------------------------------------------------------
CREATE TABLE IF NOT EXISTS Civilizations_GreatestEarthRequestedResource(Type, Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4);
INSERT INTO Civilizations_GreatestEarthRequestedResource
			(Type, 									Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4)
SELECT		('CIVILIZATION_JAR_NAVAJO'),			Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4
FROM Civilizations_GreatestEarthRequestedResource WHERE Type = 'CIVILIZATION_SHOSHONE';
------------------------------------------------------------
-- Civilizations_AmericasStartPosition (Americas Standard)
------------------------------------------------------------
CREATE TABLE IF NOT EXISTS Civilizations_AmericasStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_AmericasStartPosition (Type, X,	Y) SELECT 'CIVILIZATION_JAR_NAVAJO',	X, Y 
FROM Civilizations_YnAEMP WHERE CivilizationType = 'CIVILIZATION_JAR_NAVAJO' AND MapPrefix = 'Americas';
------------------------------------------------------------
-- Civilizations_AmericasRequestedResource (Americas Standard)
------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS Civilizations_AmericasRequestedResource(Type, Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4);
INSERT INTO Civilizations_AmericasRequestedResource
			(Type, 									Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4)
SELECT		('CIVILIZATION_JAR_NAVAJO'),			Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4
FROM Civilizations_AmericasRequestedResource WHERE Type = 'CIVILIZATION_SHOSHONE';
------------------------------------------------------------
-- Civilizations_AmericasGiantStartPosition (Americas Giant)
------------------------------------------------------------
CREATE TABLE IF NOT EXISTS Civilizations_AmericasGiantStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_AmericasGiantStartPosition (Type, X,	Y) SELECT 'CIVILIZATION_JAR_NAVAJO',	X, Y 
FROM Civilizations_YnAEMP WHERE CivilizationType = 'CIVILIZATION_JAR_NAVAJO' AND MapPrefix = 'AmericasGiant';
------------------------------------------------------------	
-- Civilizations_AmericasGiantRequestedResource (Americas Giant)
------------------------------------------------------------
CREATE TABLE IF NOT EXISTS Civilizations_AmericasGiantRequestedResource(Type, Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4);
INSERT INTO Civilizations_AmericasGiantRequestedResource
			(Type, 									Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4)
SELECT		('CIVILIZATION_JAR_NAVAJO'),			Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4
FROM Civilizations_AmericasGiantRequestedResource WHERE Type = 'CIVILIZATION_SHOSHONE';
------------------------------------------------------------
-- Civilizations_NorthAmericaGiantStartPosition (North America Giant)
------------------------------------------------------------
CREATE TABLE IF NOT EXISTS Civilizations_NorthAmericaGiantStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_NorthAmericaGiantStartPosition (Type, X,	Y) SELECT 'CIVILIZATION_JAR_NAVAJO',	X, Y 
FROM Civilizations_YnAEMP WHERE CivilizationType = 'CIVILIZATION_JAR_NAVAJO' AND MapPrefix = 'NorthAmericaGiant';
------------------------------------------------------------	
-- Civilizations_NorthAmericaGiantRequestedResource (North America Giant)
------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS Civilizations_NorthAmericaGiantRequestedResource(Type, Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4);
INSERT INTO Civilizations_NorthAmericaGiantRequestedResource
		(Type, 							Req1, Yield1, Req2,	Yield2, Req3, Yield3, Req4, Yield4)
SELECT	'CIVILIZATION_JAR_NAVAJO',		Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4
FROM Civilizations_NorthAmericaGiantRequestedResource WHERE Type = 'CIVILIZATION_SHOSHONE';
------------------------------------------------------------
-- Civilizations_NorthAmericaHugeStartPosition (North America Huge)
------------------------------------------------------------
CREATE TABLE IF NOT EXISTS Civilizations_NorthAmericaHugeStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_NorthAmericaHugeStartPosition (Type, X,	Y) SELECT 'CIVILIZATION_JAR_NAVAJO',	X, Y 
FROM Civilizations_YnAEMP WHERE CivilizationType = 'CIVILIZATION_JAR_NAVAJO' AND MapPrefix = 'NorthAmericaHuge';
------------------------------------------------------------	
-- Civilizations_NorthAmericaHugeRequestedResource (North America Huge)
------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS Civilizations_NorthAmericaHugeRequestedResource(Type, Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4);
INSERT INTO Civilizations_NorthAmericaHugeRequestedResource
		(Type, 							Req1, Yield1, Req2,	Yield2, Req3, Yield3, Req4, Yield4)
SELECT	'CIVILIZATION_JAR_NAVAJO',		Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4
FROM Civilizations_NorthAmericaHugeRequestedResource WHERE Type = 'CIVILIZATION_SHOSHONE';
--------------------------------------------------------------------------------------------------------------------------
-- Civilizations_PacificStartPosition (Pacific)
--------------------------------------------------------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS Civilizations_PacificStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_PacificStartPosition (Type, X,	Y) SELECT 'CIVILIZATION_JAR_NAVAJO',	X, Y 
FROM Civilizations_YnAEMP WHERE CivilizationType = 'CIVILIZATION_JAR_NAVAJO' AND MapPrefix = 'Pacific';
--------------------------------------------------------------------------------------------------------------------------
-- Civilizations_PacificRequestedResource
--------------------------------------------------------------------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS Civilizations_PacificRequestedResource(Type, Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4);
INSERT INTO Civilizations_PacificRequestedResource 
		(Type, 							Req1, Yield1, Req2,	Yield2, Req3, Yield3, Req4, Yield4)
SELECT	'CIVILIZATION_JAR_NAVAJO',		Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4
FROM Civilizations_PacificRequestedResource WHERE Type = 'CIVILIZATION_SHOSHONE';
--------------------------------------------------------------------------------------------------------------------------
-- Civilizations_AtlanticGiantStartPosition 
--------------------------------------------------------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS Civilizations_AtlanticGiantStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_AtlanticGiantStartPosition (Type, X,	Y) SELECT 'CIVILIZATION_JAR_NAVAJO',	X, Y 
FROM Civilizations_YnAEMP WHERE CivilizationType = 'CIVILIZATION_JAR_NAVAJO' AND MapPrefix = 'AtlanticGiant';
--------------------------------------------------------------------------------------------------------------------------
-- Civilizations_EarthMk3StartPosition 
--------------------------------------------------------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS Civilizations_EarthMk3StartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_EarthMk3StartPosition (Type, X,	Y) SELECT 'CIVILIZATION_JAR_NAVAJO',	X, Y 
FROM Civilizations_YnAEMP WHERE CivilizationType = 'CIVILIZATION_JAR_NAVAJO' AND MapPrefix = 'EarthMk3';
--==========================================================================================================================
-- GAZEBO's VOX POPULI
--==========================================================================================================================
-- Buildings
------------------------------------------------------------
-- Medieval Era
UPDATE Buildings SET Cost = 125, FaithCost=150 WHERE Type = 'BUILDING_JAR_BLESSING1' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );
UPDATE Buildings SET Cost = 125, FaithCost=150 WHERE Type = 'BUILDING_JAR_BLESSING2' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );
UPDATE Buildings SET Cost = 125, FaithCost=150 WHERE Type = 'BUILDING_JAR_BLESSING3' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );
UPDATE Buildings SET Cost = 125, FaithCost=150 WHERE Type = 'BUILDING_JAR_BLESSING4' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );
UPDATE Buildings SET Cost = 125, FaithCost=150 WHERE Type = 'BUILDING_JAR_BLESSING5' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );
UPDATE Buildings SET Cost = 125, FaithCost=150 WHERE Type = 'BUILDING_JAR_BLESSING6' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );
-- Renaissance Era
UPDATE Buildings SET Cost = 225, FaithCost=200 WHERE Type = 'BUILDING_JAR_BLESSING1B' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );
UPDATE Buildings SET Cost = 225, FaithCost=200 WHERE Type = 'BUILDING_JAR_BLESSING2B' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );
UPDATE Buildings SET Cost = 225, FaithCost=200 WHERE Type = 'BUILDING_JAR_BLESSING3B' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );
UPDATE Buildings SET Cost = 225, FaithCost=200 WHERE Type = 'BUILDING_JAR_BLESSING4B' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );
UPDATE Buildings SET Cost = 225, FaithCost=200 WHERE Type = 'BUILDING_JAR_BLESSING5B' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );
UPDATE Buildings SET Cost = 225, FaithCost=200 WHERE Type = 'BUILDING_JAR_BLESSING6B' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );
-- Industrial Era
UPDATE Buildings SET Cost = 425, FaithCost=250 WHERE Type = 'BUILDING_JAR_BLESSING1C' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );
UPDATE Buildings SET Cost = 425, FaithCost=250 WHERE Type = 'BUILDING_JAR_BLESSING2C' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );
UPDATE Buildings SET Cost = 425, FaithCost=250 WHERE Type = 'BUILDING_JAR_BLESSING3C' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );
UPDATE Buildings SET Cost = 425, FaithCost=250 WHERE Type = 'BUILDING_JAR_BLESSING4C' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );
UPDATE Buildings SET Cost = 425, FaithCost=250 WHERE Type = 'BUILDING_JAR_BLESSING5C' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );
UPDATE Buildings SET Cost = 425, FaithCost=250 WHERE Type = 'BUILDING_JAR_BLESSING6C' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );
-- Modern Era
UPDATE Buildings SET Cost = 725, FaithCost=300 WHERE Type = 'BUILDING_JAR_BLESSING1D' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );
UPDATE Buildings SET Cost = 725, FaithCost=300 WHERE Type = 'BUILDING_JAR_BLESSING2D' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );
UPDATE Buildings SET Cost = 725, FaithCost=300 WHERE Type = 'BUILDING_JAR_BLESSING3D' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );
UPDATE Buildings SET Cost = 725, FaithCost=300 WHERE Type = 'BUILDING_JAR_BLESSING4D' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );
UPDATE Buildings SET Cost = 725, FaithCost=300 WHERE Type = 'BUILDING_JAR_BLESSING5D' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );
UPDATE Buildings SET Cost = 725, FaithCost=300 WHERE Type = 'BUILDING_JAR_BLESSING6D' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );

UPDATE Buildings SET Defense = 500, ExtraCityHitPoints = 25 WHERE Type = 'BUILDING_JAR_BLESSING5' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );
UPDATE Buildings SET Defense = 500, ExtraCityHitPoints = 25 WHERE Type = 'BUILDING_JAR_BLESSING5A' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );
UPDATE Buildings SET Defense = 500, ExtraCityHitPoints = 25 WHERE Type = 'BUILDING_JAR_BLESSING5B' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );
UPDATE Buildings SET Defense = 500, ExtraCityHitPoints = 25 WHERE Type = 'BUILDING_JAR_BLESSING5C' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );
UPDATE Buildings SET Defense = 500, ExtraCityHitPoints = 25 WHERE Type = 'BUILDING_JAR_BLESSING5D' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );
UPDATE Buildings SET Defense = 500, ExtraCityHitPoints = 25 WHERE Type = 'BUILDING_JAR_BLESSING5E' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );
UPDATE Buildings SET Defense = 100, ExtraCityHitPoints =  5 WHERE Type = 'BUILDING_JAR_BLESSINGDM5' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );

INSERT INTO Building_YieldFromBirth
		(BuildingType, YieldType, Yield)
SELECT	'BUILDING_JAR_BLESSING4',  'YIELD_FAITH', 10 WHERE EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 ) UNION ALL
SELECT	'BUILDING_JAR_BLESSING4A', 'YIELD_FAITH', 10 WHERE EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 ) UNION ALL
SELECT	'BUILDING_JAR_BLESSING4B', 'YIELD_FAITH', 10 WHERE EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 ) UNION ALL
SELECT	'BUILDING_JAR_BLESSING4C', 'YIELD_FAITH', 10 WHERE EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 ) UNION ALL
SELECT	'BUILDING_JAR_BLESSING4D', 'YIELD_FAITH', 10 WHERE EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 ) UNION ALL
SELECT	'BUILDING_JAR_BLESSING4E', 'YIELD_FAITH', 10 WHERE EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );

UPDATE Language_en_US
SET Text = 'Increases a city''s Defense Strength by 5 and Hit Points by 25, then progressively adds 1 Defense and 5 HP for every 5[ICON_CITIZEN] citizen in the city.'
WHERE Tag = 'TXT_KEY_BUILDING_JAR_BLESSING5_HELP' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );
------------------------------------------------------------
-- Units
------------------------------------------------------------
UPDATE CustomModOptions SET Value = 1 WHERE Name = 'EVENTS_DIPLO_MODIFIERS' AND Value = 0;

INSERT INTO DiploModifiers (Type, Description, ToCivilizationType)
SELECT 'DIPLOMODIFIER_JAR_NAVAJO_CODE_TALKER', 'TXT_KEY_SPECIFIC_DIPLO_JAR_NAVAJO_CODE_TALKER', 'CIVILIZATION_JAR_NAVAJO';

INSERT INTO Language_en_US	(Tag, Text)
VALUES	('TXT_KEY_SPECIFIC_DIPLO_JAR_NAVAJO_CODE_TALKER', '[COLOR_POSITIVE_TEXT]They appreciate the Code Talker units you gifted to them.[ENDCOLOR]');

UPDATE UnitPromotions SET  GainsXPFromPillaging = 1 WHERE Type = 'PROMOTION_NAABAAHII' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_UNITS' AND Value= 1 );
--UPDATE UnitPromotions SET GainsXPFromSpotting = 1 WHERE Type = 'PROMOTION_NAABAAHII' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_UNITS' AND Value= 1 );
------------------------------------------------------------
-- Improvements
------------------------------------------------------------
INSERT INTO Improvement_AdjacentTerrainYieldChanges
		(ImprovementType, 			TerrainType, YieldType, Yield)
VALUES	('IMPROVEMENT_JAR_HOGAN', 	'TERRAIN_DESERT', 'YIELD_FOOD', 1);
------------------------------------------------------------
-- Decisions
------------------------------------------------------------
/*
UPDATE UnitPromotions SET GainsXPFromPillaging = 1 WHERE Type = 'PROMOTION_RAID_NEIGHBORS' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_UNITS' AND Value= 1 );

UPDATE Language_en_US
SET Text = 'Increases a city''s Defense Strength by 5 and Hit Points by 25, then progressively adds 1 Defense and 5 HP for every 5[ICON_CITIZEN] citizen in the city.'
WHERE Tag = 'TXT_KEY_PROMOTION_RAID_NEIGHBORS_HELP' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_UNITS' AND Value= 1 );
*/

UPDATE Language_en_US
SET Text = 'One of our beloved brothers, Atsidi Sani, has learned the craft of silver smithing from foreigners and opened a workshop in Lók''aahnteel. We should incentivize our people to master the secrets of this unknown art, too, and establish a remunerative trade that will benefit our community.
			[NEWLINE]-------------------------
			[NEWLINE][COLOR_POSITIVE_TEXT]Requirements:[ENDCOLOR]
			[NEWLINE]-------------------------
			[NEWLINE]{1_Icon}Must have researched Economics.
			[NEWLINE][ICON_UNCHECKBOX]May only be enacted once per game.
			[NEWLINE]-------------------------
			[NEWLINE][COLOR_POSITIVE_TEXT]Costs:[ENDCOLOR]
			[NEWLINE]-------------------------
			[NEWLINE][ICON_BULLET]{2_Num} [ICON_GOLD] Gold.
			[NEWLINE][ICON_BULLET]1 {3_ResourceDesc}.
			[NEWLINE]-------------------------
			[NEWLINE][COLOR_POSITIVE_TEXT]Rewards:[ENDCOLOR]
			[NEWLINE]-------------------------
			[NEWLINE][ICON_BULLET]Receive 2 copies of [ICON_RES_JEWELRY]Jewelry luxury resource.
			[NEWLINE][ICON_BULLET][ICON_RES_AMBER]Amber, [ICON_RES_COPPER]Copper, [ICON_RES_GEMS]Gems, [ICON_RES_GOLD]Gold, [ICON_RES_JADE]Jade, [ICON_RES_LAPIS]Lapis lazuli, [ICON_RES_PEARLS]Pearls, [ICON_RES_SILVER]Silver provide +1[ICON_GOLD] Gold, +1[ICON_PRODUCTION] Production and 1[ICON_GREAT PEOPLE] Point toward Great Artist.'
WHERE Tag = 'TXT_KEY_DECISIONS_JAR_NAVAJO_PROMOTE_METALSMITHING_DESC' AND EXISTS (SELECT * FROM Resources WHERE Type='RESOURCE_AMBER');

UPDATE Language_en_US
SET Text = 'One of our beloved brothers, Atsidi Sani, has learned the craft of silver smithing from foreigners and opened a workshop in Lók''aahnteel. We should incentivize our people to master the secrets of this unknown art, too, and establish a remunerative trade that will benefit our community.
			[NEWLINE]-------------------------
			[NEWLINE][COLOR_POSITIVE_TEXT]Rewards:[ENDCOLOR]
			[NEWLINE]-------------------------
			[NEWLINE][ICON_BULLET]Receive 2 copies of [ICON_RES_JEWELRY]Jewelry luxury resource.
			[NEWLINE][ICON_BULLET][ICON_RES_AMBER]Amber, [ICON_RES_COPPER]Copper, [ICON_RES_GEMS]Gems, [ICON_RES_GOLD]Gold, [ICON_RES_JADE]Jade, [ICON_RES_LAPIS]Lapis lazuli, [ICON_RES_PEARLS]Pearls, [ICON_RES_SILVER]Silver provide +1[ICON_GOLD] Gold, +1[ICON_PRODUCTION] Production and 1[ICON_GREAT PEOPLE] Point toward Great Artist.'
WHERE Tag = 'TXT_KEY_DECISIONS_JAR_NAVAJO_PROMOTE_METALSMITHING_ENACTED_DESC' AND EXISTS (SELECT * FROM Resources WHERE Type='RESOURCE_AMBER');
------------------------------------------------------------
-- RESOURCES
------------------------------------------------------------
UPDATE Resources SET Happiness = (SELECT Happiness FROM Resources WHERE Type = 'RESOURCE_WHALE'), IsMonopoly = 1 WHERE Type = 'RESOURCE_JAR_DIYOGI' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_LUXURY_HAPPINESS');

INSERT INTO Resource_YieldChangeFromMonopoly
		(ResourceType, 			YieldType, Yield)
SELECT	'RESOURCE_JAR_DIYOGI', 'YIELD_GOLD', 2 WHERE EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_LUXURY_HAPPINESS');
--==========================================================================================================================
--==========================================================================================================================