--==========================================================================================================================	
-- MORE UNIQUE COMPONENTS (FOR VOX POPULI)
--==========================================================================================================================
-- JFD_GlobalUserSettings
------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
JFD_GlobalUserSettings (
	Type 				text 			default null,
	Value 				integer 		default 1);
--------------------------------
-- Civilization_BuildingClassOverrides 
--------------------------------		
INSERT INTO Civilization_BuildingClassOverrides 
		(CivilizationType, 				BuildingClassType, 			BuildingType)
SELECT	'CIVILIZATION_JAR_NAVAJO', 	'BUILDINGCLASS_WORKSHOP', 	'BUILDING_ATLOOH'
WHERE EXISTS (SELECT * FROM Buildings WHERE Type = 'BUILDING_GERMANY_TEUTONIC_ORDER');
--------------------------------	
-- Buildings
------------------------------
INSERT INTO Buildings 	
		(Type, 					BuildingClass,	FreeStartEra,	Cost,	GoldMaintenance,	PrereqTech,	Description,					Civilopedia,								Help,							Strategy,								ArtDefineTag,	SpecialistType,	SpecialistCount,	MinAreaSize,	ConquestProb,	HurryCostModifier,	AllowsProductionTradeRoutes,	IconAtlas,				PortraitIndex, 	EnhancedYieldTech, TechEnhancedTourism)
SELECT	('BUILDING_ATLOOH'),	BuildingClass,	FreeStartEra,	Cost,	GoldMaintenance,	PrereqTech,	('TXT_KEY_BUILDING_ATLOOH'),	('TXT_KEY_CIV5_BUILDING_ATLOOH_TEXT'),	('TXT_KEY_BUILDING_ATLOOH_HELP'),	('TXT_KEY_BUILDING_ATLOOH_STRATEGY'),	ArtDefineTag,	SpecialistType,	SpecialistCount,	MinAreaSize,	ConquestProb,	HurryCostModifier,	AllowsProductionTradeRoutes,	'JAR_NAVAJO_ICON_ATLAS',	10,			'TECH_RADIO',		2
FROM Buildings WHERE (Type = 'BUILDING_WORKSHOP') AND EXISTS (SELECT * FROM Buildings WHERE Type = 'BUILDING_GERMANY_TEUTONIC_ORDER');

UPDATE Buildings
SET FinishSeaTRTourism = '10', FinishLandTRTourism = '10'
WHERE Type = 'BUILDING_ATLOOH' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );
------------------------------	
-- Building_ClassesNeededInCity
------------------------------		
INSERT INTO Building_ClassesNeededInCity 	
		(BuildingType, 		BuildingClassType)
SELECT	'BUILDING_ATLOOH',	BuildingClassType
FROM Building_ClassesNeededInCity WHERE BuildingType = 'BUILDING_WORKSHOP';
------------------------------	
-- Building_YieldChanges
------------------------------		
INSERT INTO Building_YieldChanges 	
		(BuildingType, 			YieldType,	Yield)
SELECT	'BUILDING_ATLOOH',		YieldType,	Yield
FROM Building_YieldChanges WHERE BuildingType = 'BUILDING_WORKSHOP';
------------------------------	
-- Building_Flavors
------------------------------		
INSERT INTO Building_Flavors 	
		(BuildingType, 			FlavorType, Flavor)
SELECT	'BUILDING_ATLOOH',		FlavorType, Flavor
FROM Building_Flavors WHERE BuildingType = 'BUILDING_WORKSHOP';
------------------------------	
-- Building_FeatureYieldChanges
------------------------------
INSERT INTO Building_FeatureYieldChanges
		(BuildingType,		FeatureType, YieldType, Yield)
SELECT	'BUILDING_ATLOOH',	FeatureType, YieldType, Yield
FROM Building_FeatureYieldChanges WHERE BuildingType = 'BUILDING_WORKSHOP';
------------------------------	
-- Building_ResourceYieldChanges
------------------------------
INSERT INTO Building_ResourceYieldChanges
		(BuildingType,		ResourceType,		YieldType,		Yield)
VALUES	('BUILDING_ATLOOH',	'RESOURCE_SHEEP',	'YIELD_GOLD',	1),
		('BUILDING_ATLOOH',	'RESOURCE_COTTON',	'YIELD_GOLD',	1);
		
INSERT INTO Building_YieldPerXTerrainTimes100
		(BuildingType, TerrainType, YieldType, Yield)
VALUES	('BUILDING_ATLOOH', 'TERRAIN_PLAINS', 'YIELD_PRODUCTION', 	50),
		('BUILDING_ATLOOH', 'TERRAIN_DESERT', 'YIELD_PRODUCTION', 	50),
		('BUILDING_ATLOOH', 'TERRAIN_PLAINS', 'YIELD_CULTURE', 		50),
		('BUILDING_ATLOOH', 'TERRAIN_DESERT', 'YIELD_CULTURE',		50);
--------------------------------------------------------------------------------------------------------------------------	
-- Civilization_UnitClassOverrides 
--------------------------------------------------------------------------------------------------------------------------		
INSERT INTO Civilization_UnitClassOverrides 
		(CivilizationType, 			UnitClassType, 				UnitType)
SELECT	'CIVILIZATION_JAR_NAVAJO', 'UNITCLASS_CUIRASSIER',	'UNIT_JAR_NAABAAHII' WHERE EXISTS (SELECT * FROM Buildings WHERE Type = 'BUILDING_GERMANY_TEUTONIC_ORDER');
------------------------------------------------------------
-- Units
------------------------------------------------------------
UPDATE Units
SET Class = 		(SELECT Class FROM Units WHERE Type = 'UNIT_CUIRASSIER'),
	Combat = 		(SELECT Combat FROM Units WHERE Type = 'UNIT_CUIRASSIER'),
	RangedCombat = 	(SELECT RangedCombat FROM Units WHERE Type = 'UNIT_CUIRASSIER'),
	PrereqTech =	(SELECT PrereqTech FROM Units WHERE Type = 'UNIT_CUIRASSIER'),
	ObsoleteTech =	(SELECT ObsoleteTech FROM Units WHERE Type = 'UNIT_CUIRASSIER')
WHERE Type = 'UNIT_JAR_NAABAAHII' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_UNITS' AND Value= 1 );

UPDATE Units
SET Cost = 		(SELECT Cost FROM Units WHERE Type = 'UNIT_CUIRASSIER'),
	FaithCost = (SELECT FaithCost FROM Units WHERE Type = 'UNIT_CUIRASSIER'),
	Range =		(SELECT Range FROM Units WHERE Type = 'UNIT_CUIRASSIER')
WHERE Type = 'UNIT_JAR_NAABAAHII' AND EXISTS (SELECT * FROM Buildings WHERE Type = 'BUILDING_GERMANY_TEUTONIC_ORDER');
--DELETE FROM UnitClasses WHERE Type = 'UNITCLASS_JAR_NAABAAHII' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_UNITS' AND Value= 1 );
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_JAR_NAABAAHII' AND PromotionType = 'PROMOTION_NO_DEFENSIVE_BONUSES' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_UNITS' AND Value= 1 );

------------------------------------------------------------
-- Unit_ResourceQuantityRequirements
------------------------------------------------------------
INSERT INTO Unit_ResourceQuantityRequirements
		(UnitType,				ResourceType,	Cost)
SELECT	'UNIT_JAR_NAABAAHII', 'RESOURCE_HORSE', 1	WHERE EXISTS (SELECT * FROM Buildings WHERE Type = 'BUILDING_GERMANY_TEUTONIC_ORDER');