-- Lua Script1
-- Author: Jarcast
-- DateCreated: 15-Dec-18 22:11:52
--------------------------------------------------------------
if Game then
	--Game.GetUserSetting
	function Game.GetUserSetting(type)
		for row in GameInfo.JFD_GlobalUserSettings("Type = '" .. type .. "'") do
			return row.Value
		end
	end
end
--------------------------------------------------------------
function Game_IsUsingMod(modID)
	for _, mod in pairs(Modding.GetActivatedMods()) do
		if mod.ID == modID then
			return true
		end
	end
	return false
end

local isUsingMoreUCfVP = Game_IsUsingMod("259c3593-34dd-4fdd-bd7d-8ed67cc0797c")
--------------------------------------------------------------
-- Navajo - Diyogi At'looh
--------------------------------------------------------------
local eResourceDiyogi = GameInfoTypes.RESOURCE_JAR_DIYOGI
local eCivilizationNavajo = GameInfoTypes.CIVILIZATION_JAR_NAVAJO
local eImprovementPlantation = GameInfoTypes.IMPROVEMENT_PLANTATION

-- creates Diyogi resource under city
function OnConstructionPlaceDiyogi(iPlayer, iCity, iBuilding)
	local pPlayer = Players[iPlayer]
	
	if not(pPlayer and pPlayer:GetCivilizationType() == eCivilizationNavajo) then return end
	if iBuilding ~= GameInfoTypes.BUILDING_ATLOOH then return end
	
	local pCity = pPlayer:GetCityByID(iCity)
	
	if pCity then
		local pPlot = Map.GetPlot(pCity:GetX(), pCity:GetY())
	
		pPlot:SetResourceType(eResourceDiyogi, 1)
		pPlot:SetImprovementType(eImprovementPlantation)
		-- removes plantation after connecting Diyogi to trade list
		pPlot:SetImprovementType(-1)
	end
end

-- if decision
local policyDecisionsNavajoPromoteDiyogiID = GameInfoTypes["POLICY_DECISIONS_NAVAJO_PROMOTE_DIYOGI"]
function OnDecisionEnactedPlaceDiyogi(iPlayer, policyID)
	local pPlayer = Players[iPlayer]
	
	if not(pPlayer and pPlayer:GetCivilizationType() == eCivilizationNavajo) then return end
	if policyID ~= policyDecisionsNavajoPromoteDiyogiID then return end
	
	for pCity in pPlayer:Cities() do
		local pPlot = Map.GetPlot(pCity:GetX(), pCity:GetY())
		pPlot:SetResourceType(eResourceDiyogi, 1)
		pPlot:SetImprovementType(eImprovementPlantation)
		-- removes plantation after connecting Diyogi to trade list
		pPlot:SetImprovementType(-1)
	end
end

function OnCityFoundedPlaceDiyogi(iPlayer, iCityX, iCityY)
	local pPlayer = Players[iPlayer]
	local iTeam = pPlayer:GetTeam()
	local pPlot = Map.GetPlot(iCityX, iCityY)
	local pCity = pPlot:GetPlotCity()
	local iCity = pCity:GetID()
	if not(pPlayer and pPlayer:GetCivilizationType() == eCivilizationNavajo) then return end

	if pPlayer:HasPolicy(policyDecisionsNavajoPromoteDiyogiID) then
		pPlot:SetResourceType(eResourceDiyogi, 1)
		pPlot:SetImprovementType(eImprovementPlantation)
		-- removes plantation after connecting Diyogi to trade list
		pPlot:SetImprovementType(-1)	
	end
end

-- deletes Diyogi resource if city is razed
function OnRazeRemoveDiyogi(hexPos, iOldOwner, iCity, iNewOwner)
	local pPlayer = Players[iOldOwner]
	local pCity = pPlayer:GetCityByID(iCity)
	
	if pCity then
		local pPlot = Map.GetPlot(pCity:GetX(), pCity:GetY())
	
		if pPlot and pPlot:GetResourceType() == eResourceDiyogi then
			pPlot:SetResourceType(-1)
		end
	end
end

if Game.IsCivEverActive(eCivilizationNavajo) then
	if isUsingMoreUCfVP then
		GameEvents.CityConstructed.Add(OnConstructionPlaceDiyogi)
	else
		GameEvents.PlayerAdoptPolicy.Add(OnDecisionEnactedPlaceDiyogi)
		GameEvents.PlayerCityFounded.Add(OnCityFoundedPlaceDiyogi)
	end
	Events.SerialEventCityDestroyed.Add(OnRazeRemoveDiyogi)
end

print("Navajo Diyogi functions loaded")
--==========================================================================================================================
--==========================================================================================================================